Welcome

This page links you to product and user information for the Keysight N7611B Signal Studio for Broadcast Radio software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 4.0

Help revised 4/18/2017 - get the latest revision

© Keysight Technologies, Inc. 2008-2017


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

Real Time

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

To generate signals using the N7611B Signal Studio for Broadcast Radio software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Firmware revision B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Firmware revision B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-023 (upgrade baseband generator memory from 32 MSa to 1 GSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

(For more information see the Configuration Guide.)

Firmware revision A.01.20 or later (how to upgrade)

License for N7611B (Licensing)

One of the following baseband generator options:

  • N5182A- 651 (30 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -652 (60 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -654 (125 MSample/s internal baseband generator with 8 MSa memory, recommended)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (enhanced dynamic range, recommended)

N5182A-403 (calibrated real-time noise, required for C/N capability, recommended)

One of the following frequency range options:

  • N5182A-503 (250 kHz to 3 GHz frequency range)

  • N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG vector signal generator

(For more information see the Configuration Guide.)

Firmware revision C.04.95 or later (how to upgrade)

License for N7611B (Licensing)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

One of the following frequency range options:

  • E4438C-503 (250 kHz to 3 GHz frequency range)

  • E4438C-504 (250 kHz to 4 GHz frequency range)

  • E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

N5106A PXB baseband generator and channel emulator

N5106A-186 (Digital video application bundle) including the following options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-QFP (Fading with SISO Channel Models)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Minimum driver version: 1.1

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 15.5 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows XP Service Pack 3 or later (Professional)

  • 2 GHz Pentium 4 or higher (recommended)

  • 512 MB of memory minimum (1.0 GB or higher recommended)

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (6.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 15.5 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

Real Time

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Windows XP

For Windows XP, do the following:

  1. Go to Start > Control Panel > Add or Remove Programs.

  2. Look for Microsoft .NET Framework 3.5 in the listing of programs.

  3. If you do not see it listed, you must download it from Microsoft.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

Real Time

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 15.5 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

Real Time

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

Real Time

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

Real Time

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

Real Time

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • SystemVue ESL Design Software

  • M9381A PXIe Vector Signal Generator

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Real Time

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License for SystemVue ESL Design Software

Before installing the license file, save a backup copy in a safe place.

Fixed Licenses

  1. Save the license file to a convenient location on the host PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the host PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

Floating Licenses

  1. Save the license file to a convenient location on the server PC.

  2. From the Start menu in Windows, launch Keysight License Manager. Verify that the Host ID matches the server PC you are trying to license.

  3. Within Keysight License Manager select File > Install then navigate to the license file and install it.

  4. Move to the client PC(s) and install the licenses on each client, following the same steps. On the client PCs, the Host ID shown in Keysight License Manager will be different than the one matching the server PC.

  5. Client PCs must have a network link to the server PC before the licenses will work, as the licenses are validated by the server.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Real Time

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Real Time

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Real Time

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Using the Software

Tutorials | Provides RDS information Measurement, analog FM calibrations, FM Stereo Signal Generation and Receiver test for DAB Signals examples.
Arb User Interface | Describes the waveform generation and playback features of the software.
Real-Time User Interface | Describes the real-time signal configuration features of the software.
Troubleshooting | Provides help on software, interface, and instrument problems.


User Interface

Real Time

Arb User Interface

Menu and Tool Bar | describes the features of the menu bar and tool bar.
Quick Setup | explains how to save, delete and rename a quick setup.
Status Window | describes the status window.
Status Bar | describes the status bar.
Hardware | tells how to configure and display the signal generator settings through the software.
Licenses | describes the Licenses node.
Waveform Setup | provides information on FM Stereo/RDS parameters for video, audio and packet data service.
API Control | Provides information on using the Microsoft .NET-based application programming interface (API).


Tutorials

User Interface Basics | This topic shows you how to use common user interface controls.
Configuring FM Stereo and RDS Signals for Receiver Test | This procedure shows you how to set up the equipment and configure the N7611B Signal Studio for Broadcast Radio software to create an FM Stereo/RDS waveform for RDS receiver test applications.
Calibrating Analog FM Signals | This procedure shows how to perform an analog FM Calibration.
Generating FM Stereo Signals | This procedure helps to understand the FM stereo signals under different carrier parameter signals.
Configuring DAB Signals for Receiver Test | This procedure shows you how to set up the equipment and configure the N7611B Signal Studio for Broadcast Radio software to create an DAB waveform for DAB receiver test applications.
Generating Audio Stream Files for DAB/DAB+ | This procedure shows you how to set up DAB/DAB+ Signal Source Audio tests.
Creating and Exporting Waveforms | This procedure describes how to create and export waveform files for use with most instruments, such as the M9381A PXIe Vector Signal Generator.
Creating and Exporting Waveforms for the EXT | This procedure describes how to create and transfer a waveform file to the EXT.


FM Stereo Measurement

Real Time

Configuring FM Stereo and RDS Signals for Receiver Test

The following example procedure shows you how to configure the equipment and Signal Studio software for a typical RDS information receiver test.

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

  1. Set up the equipment as shown below.

  2. Select the FM Stereo/RDS format.

    Open the software and select FM Stereo/RDS from the Format menu.

  3. Configure the carrier parameters.

    Select Carrier 0 from the tree view.

    This opens four tables of carrier parameters you can set for that carrier. If your test setup requires multiple carriers, click [image] to create up to 11 additional carriers.

    Set up the following parameters of each carrier to the values shown below.

    • FM Deviation: 75.00kHz

    • Pilot Frequency: 19.000kHz

    • Stereo Frequency: 38.000kHz

    • RDS Frequency: 57.000kHz

  4. Click RDS in the tree view, and perform the following steps for each carrier.

    1. Enter the PI Code Value, which is the 16-bits programme identification code.

    2. Select the Programme Type (PTY).

  5. Configure the RDS Message.

    1. Click Basic tuning and switching information and configure the following parameters in the message table, as shown below.

      • Interval: 0.0s

      • Music/Speech: Music

      • Programme Service Name: This example shows RDS Test.

      • Alternative Frequency State: On

      • Alternative Frequencies: your choice

    2. Click Programme Item Number and slow labeling codes and configure the parameters in the message table as desired.

    3. Click on Radio Text and input a text string of your choice. This example shows Radio Text. If you would like to import a text file, do the following:

      1. Click [image] , a drop-down menu appears.

      2. Select Radio Text messages from text file. A dialog box appears.

      3. Click Browse to navigate to the .txt file of your choice. You can also specify the Group Version, Maximum Number of Messages and Interval (s)

    4. Click Clock-time and date cell, and select the Modified Julian Day. This example shows 08-08, 2008.

    5. Click UTC Hour and UTC Minute cell, and select the time. This example shows 00:00.

    Rerun this step for flexible RDS receiver tests with different configurations (tests at different levels).

  6. Configure the signal generator settings.

    Click the Signal Generator node in the tree view and set the frequency and amplitude to the values below.

    • Frequency: 98.000 000 000 MHz

    • Amplitude: -30.00 dBm

  7. Generate and download the waveform to the signal generator.

    1. From the tool bar, Click [image] to generate the waveform .

    2. Observe the message area of the status bar to track waveform generation progress.

    3. If you want to generate and download the waveform at the same time, click [image] to complete generating and downloading.

  8. Evaluate the RDS messages on the receiver.

    The RDS information is displayed on the RDS receiver, as shown below:

    • Programme Service Name: RDS Test

    • Radio Text: Radio Text

    • Programme Type (PTY) : news

    • Modified Julian Day: 08-08, 2008

    • UTC Minute: 0

    • UTC Hour: 0


FM analog Calibration

Real Time

Calibrating Analog FM Signals

The following procedure shows how to make an analog FM Calibration.

  1. Set up the equipment as shown below.

    For signal generator, only ESG can be used in FM Deviation Calibration.

  2. Click on Waveform Setup in the Closed tree view, and configure Carrier attributes in parameter view.

    1. FM Scheme: select Analog in the drop-down menu.

    2. In the Carrier node, click on the [image] on the right side of FM Deviation, and a FM Deviation Calibration Wizard will pop up.

  3. Make sure the instruments connection is ready.

    1. Connect ESG RF OUTPUT to the RF INPUT of Spectrum Analyzer.

    2. Connect EXT 1 INPUT at the front of ESG to the I-OUT at the back of ESG

    3. Connect the ESG 10MHz OUT to the EXT REF IN of Spectrum Analyzer.

  4. Measure the Frequency Offset according to the following procedures.

    1. Click the "Calibrate" button, so that a test waveform will be downloaded into the ESG ARB memory.

    2. Measure the frequency offset from the front panel of Spectrum Analyzer, according to the screen capture illustrated above.

      1. Press "Mode" on the front panel of Spectrum Analyzer, and select "Spectrum Analyzer".

      2. Press ”Freq Channel”, select ”Center Frequency”, and enter the value specified, which could be looked up on ESG.

      3. Press ”SPAN X Scale”, and then enter 200 KHz.

      4. Press ”Peak Search”, and record the marker value displayed on the upper right ”Mkr1 ___MHZ”.

      5. Calculate the Frequency Offset Value and enter it into Frequency Offset blank.

        (Frequency Offset = Marker Value - Center Freq. Value)

      6. Make sure desired FM Deviation (kHz) is the same as in the Carrier setup GUI, and then click on next.

  5. Adjust the FM deviation

    1. Click "Apply" to apply the FM deviation to ESG now.

    2. Click "Finish" to let the settings take effect after waveform download.

The calibrated value may still have small offsets to the desired value.

The fine adjustment could be conducted by either fine tuning the "FM Deviation on ESG" value on this page and applying again or by repeating the whole wizard.


FM Stereo Signal Generation

Real Time

Generating FM Stereo Signals

The following example shows you how to generate FM\Stereo signals with different parameter settings in the Signal Studio software and understand their differences.

  1. Generating signal 1, with the carrier parameter settings listed below.

    • Set the RDS to Off, Pilot to Off

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

    The waveform spectrum of Signal 1 is as follows:

  2. Generating signal 2, with the carrier parameter settings listed below.

    The waveform spectrum of Signal 2 is shown below:

    • Set Pilot to On

    • Set Normalized to True

    • The other settings remain the same with Signal 1 based on Configuration

    :

    Notice that a FM signal with pilot(19KHz) has been generated.

  3. Generating signal 3, with the carrier parameter settings listed below.

    • Set Pre-emphasis to 50us

    • Set Normalized to True

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

    The waveform spectrum of Signal 3 is shown below:

    Comparing signal 2 and 3, it could be derived that when Normalized is True, for single tone, Pre-emphasis has no effect.

    For multiple tones signal, Pre-emphasis will change the relative relationship between multiple tones.

  4. Generating signals with the carrier parameter settings listed below. Change Normalized at 15KHz from False to True to compare the results.

    • Set Normalized to False

    • Set Pre-emphasis to 50us

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

    The audio signal will pass a filter like shown in the figure below.

    Notice that there is a warning message shown as follows:

    In this case, please reset FM Deviation or Oversampling ratio.

    The waveform spectrum when Normalized at 15KHz is false:

    Set Normalized at 15KHz to True:

    The Pre-emphasis gain is 0 dB at 15 kHz. That means the values of y-Axis in the figure will be normalized by 13.66dB.

    This case is commonly used because the input range of VCO is limited.


Receiver test for DAB/DAB+

Real Time

Configuring DAB Signals for Receiver Test

The following example procedure shows you how to configure the equipment and Signal Studio software for a DAB signal receiver test.

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

  1. Set up the equipment as shown below.

  2. Select the DAB standard.

    Open the software and select DAB in the Format, shown as follows.

  3. Configure Carrier 0.

    Click Carrier 0 from the tree view and set the parameters on the carrier setup window as needed. Here, use the default settings.

    By clicking [image], you can add more carriers to the DAB signals under test. Signals on each carrier can be configured independently. For example, one carrier can send DAB signal and another one can send DAB+ signal. For more details, refer to Carrier Configuration Summary Table.

  4. Configure the Ensemble.

    Select Ensemble from the tree view. There are two methods to configure the ensemble.

    1. Select ETI (G.703) or ETI Demo (G.703) as the Input Pattern, and use an ETI file as payload. Using this method, the parameters for services and service components will be set automatically. Then you can skip step 5, step 6 and go to step 7 directly.

    2. Select By Each Service Component as the Input Pattern, then configure each service and service component.

      • Set Test Signal as an Ensemble Label.

      • Select Auto as FIG Configuration Type. Actually if you select Manual, a dialog will pop up for Fast Information Group Configuration.

  5. Configure the Service Component 0.

    Select Service Component from the tree view, and then click on Service Component 0.

    • Set Test Component as an Service Component Label.

    • Select Demo as Data Source Type.

    • Select DAB mono 160 kbit/s as the demo file.

      To generate DAB+ waveforms, select 0 MSC Stream Audio as Transport Mechanism Identifier, and DAB Plus as Audio Service Component type.

      To generate T-DMB waveforms, select 1 MSC Stream Data as Transport Mechanism Identifier, and TDMB as Data Service Component Type.

  6. Configure the Service 0.

    Select "10.Pop Music / Country" as the Programme Type.

  7. Configure the signal generator settings.

    Click the Signal Generator in the tree view and set the frequency and amplitude to the values below.

    • Frequency: 229.072MHz

    • Amplitude: -30.00 dBm

  8. Generate and download the waveform to the signal generator.

    • From the tool bar, Click [image] to generate the waveform .

    • Observe the message area of the status bar to track waveform generation progress.

    • If you want to generate and download the waveform at the same time, click [image] to complete the generating and downloading.

  9. Evaluate the DAB messages on the receiver.

    Display Mode

    From

    Parameters

    What displayed on the DAB receiver

    Description

    Multiplex name

    Ensemble label

    (FIG type 0/10)

    Ensemble Label

    Displaying the Service component label and Ensemble label.

    Other Info.

    Service label (FIG 1/1) or service component label (Fig 1/4)

    Service Label or Service Component Label

    Displaying the Service Label or Service Component Label

    Audio type and bit rate

    MP2 file header

    In Audio file

    Displaying the data rate of test component.

    Frequency

    Signal generator settings

    Frequency

    Displaying the frequency.

    Level

    Signal Level

    Signal Level

    Displaying the signal Level.

    Programme Type

    Programme Type

    (FIG type 0/17)

    Programme Type

    Displaying the programme type.

    Scrolling text

    MP2 file PADs

    In Demo file

    Displaying the scrolling text contained in the demo file.

    Some parameters might not be revealable on certain receivers, such as "Time and date". Therefore a new configuration is initiated as follows, and this time a new receiver is used:

    1. In the above Step 5, change "Service Component Label" to "Label1".

    2. Click on the Ensemble, and select "December 11, 2008" in the Closed drop-down menu as Modified Julian Day

      The message is shown as follows:


Audio test of DAB/DAB+ Signal Source

Real Time

Generating Audio Stream Files for DAB/DAB+

N7611B DAB/DAB+ sources can support both BER and audio test. For audio test, audio stream file will be used as payload. Different audio encoding and stream formats are used by DAB and DAB+. N7611B provides demo files respectively. And your own audio streams can also be served as input for DAB or DAB+ signal generations.

In the DAB system, MPEG-2 audio encoding scheme is used. For DAB+, AAC+ audio encoding scheme is used and the data is packed into ETI stream. Accordingly, in N7611B Signal Studio, mp2 audio steam is required for DAB as payload for audio test and ETI steam with AAC+ encoded audio data is required for DAB+.

In this section, the process of converting WAV files to DAB and DAB+ audio stream is introduced using some tools. You can find the WAV audio files very easily, for example file1.wav.

Step 1: Use SOX.exe to do re-sampling because DAB has requirements on sampling rate (48 kHz or 24 kHz).

Command: sox file1.wav -r 48000 file2.wav (file2.wav: generated new file)

Step 2: Use toolame.exe to convert the file2.wav to mp2 file.

Command: toolame -s 48 -e -b 160 -D 4 file2.wav file2.mp2 (file2.mp2: generated new file)

Step 3: Optional, add PAD by running MP2FileModifyPADs.exe. Then you can use the mp2 file in signal Studio for DAB test.

Step 4: To generate DAB+ audio stream, send the mp2 file to http://mmbtools.crc.ca/content/view/26/50/. After receiving the .eti file from the website, run ETI_FileExtractor.exe, and you will get another four files. Use ficdec.exe to analyze the *'FIC file, and find the steam file with the same data rate as you want. Then this stream file is the right one, which you can use in N7611B for DAB+ test.

To choose the DAB+ signal, set parameter "Audio Service Component Type" under service component settings to ”DAB Plus".


Creating and Exporting Waveforms

Signal Studio software products do not provide direct connectivity for all licensed platforms. In these cases, waveforms must be created in simulated hardware mode, exported to a waveform file, and then loaded into the instrument's controlling PC via a USB storage device. This procedure describes how to create and transfer waveform files using this method and applies to the following instruments.

  • Keysight SystemVue ESL Design Software

  • Keysight M9381A PXIe Vector Signal Generator

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and highlight your instrument. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the instrument. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your instrument. This example assumes the advanced option was not purchased for your instrument.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into a USB port on the controlling PC and copy the waveform file to the proper directory, as described in the instrument's documentation.


Creating and Exporting Waveforms for the EXT

Some Signal Studio software products do not provide direct connectivity to the Keysight E6607 EXT Wireless Communications Test Set. In these cases, waveforms licensed to play on the EXT must be created in simulated hardware mode, exported to a waveform file, and then loaded into the EXT via a USB storage device. This procedure describes how to create and transfer waveform files to your EXT for playback using this method.

If available, a direct connection to the EXT is more convenient to use than the export method described here. To determine if this Signal Studio product provides direct connectivity to the EXT, open the software and select New hardware configuration in the system configuration wizard. The EXT will be one of the supported hardware configuration choices, if direct connectivity is available.

This procedure uses Keysight Signal Studio for LTE-LTE-Advanced FDD as an example, but the steps are valid for all Signal Studio software applications that support the EXT.

  1. Open the software. The welcome dialog window appears.

    If the welcome dialog window does not appear when the software is launched, click Tools > Options and make sure Display Welcome dialog is checked. Then close and re-open the software.

  2. Select Simulated hardware and make sure RF Output (for Signal Generator) is highlighted. Click OK.

  3. Because simulation mode offers all possible capability options, the caution shown below may appear. Whether the caution appears or not, however, you must set any unpurchased licenses to OFF, otherwise the generated waveform cannot be played back in the EXT. If your software's interface does not provide access to a Licenses node where this is performed, proceed to step 6.

  4. In the software's tree view, click Licenses. Notice that in simulated hardware mode, all software licensing options are set to On.

  5. In the State column, click the cell to turn off any options you did not purchase. This is necessary to create a valid waveform for playback on your EXT. This example assumes the advanced option was not purchased for the EXT.

    Action

    Result

  6. Configure the Signal Studio waveform using the various parameter selections and settings available under the Waveform Setup node in the tree view. Waveform parameters vary among Signal Studio products, so refer to this help system for more information.

  7. Click the Generate Waveform button.

  8. Under the File menu, select Export Waveform Data.

  9. Name the waveform file and save it to your PC.

  10. Copy the waveform file to a portable USB storage device.

    This would be a good time to also save a backup copy of the waveform file.

  11. Insert the USB storage device into the EXT's front panel USB port.

  12. On the EXT, make sure the EXT user interface is the active window and press File > File Explorer. Then locate the USB storage device and copy your waveform file to D:\NVARB. You can navigate to this folder by selecting My Computer > User Data (D:) > NVARB.

  13. On the EXT, press Source > More 1 of 2 > Modulation Setup > ARB > More 1 of 2 > Select Waveform > Segments on Hard Disk. Then use the arrow keys or mouse to select a waveform file from NVARB memory.

    The EXT's user interface uses the term segment to refer to a waveform file.

  14. Press Load Segment to ARB Memory.

  15. Now that the waveform resides in the EXT's ARB memory, press the Return key and select the waveform for playback. Use the EXT's front panel and softkey menus to set up other ARB parameters, turn ARB modulation on, set frequency and amplitude, and turn RF output on. You can also examine the waveform, using the EXT's measurement functions. Refer to the EXT's user documentation for more information.


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu Bar and Tool Bar | describes the features of the software.
Graphs View | illustrates the results provided by the graphs view, including the CCDF plot and waveform plot.
Status Bar | provides information on usage of Status Bar.
Quick Setups | explains how to select predefined or previously saved user-defined settings.
Hardware Settings | provides information on operation setup, signal configuration, instrument settings, and frame configuration parameters.
Licenses | introduces the license options in N7611B software.
Waveform Setup | illustrates waveform setup in different formats respectively.


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner of a parameter configuration window to display the Closed cell description window, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

Discrete Settings

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output uses discrete settings. You must select from either On or Off.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection. You can also change a setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired menu selection. Notice that a non-default selection appears in bold.

Arbitrary Settings

Frequency, on the other hand, uses arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

Using the Tree View

The left pane of the main window is called the Closed tree view. It is useful for navigating between the quick setups, hardware configuration and signal generator settings, and the waveform setups. The right pane of the main window is called the Closed node view. This area enables you to select the project parameters and signal generator settings for displaying the waveform. Selecting an item in the tree view enables the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved Closed horizontally or Closed vertically. Hold down the left mouse button and drag the border to its new position.

Mouse pointer for

horizontal resizing

Mouse pointer for

Vertical resizing

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus [image] box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Menu Bar and Tool Bar

Select a command from the displayed menus to navigate to a description of the command.

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

Open Settings File [image] opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the hardware configuration that was present when the settings file was saved. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware connection and software settings.

Save Settings File [image] saves only waveform data settings to a specified settings (.scp) file. Settings files contain function setup information, but do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

The function setup information is saved as part of the settings file (*.scp). If the number of signal generators you connected doesn't match the one saved with the setup file, the software will revert to simulated mode. If the signal generator model you connected doesn't match the one saved with the setup file, the Instrument Model Number under the software tree view Hardware > Signal Generator will be changed to the one in the setup file.

Recommended Practice: After recalling a setup file, click on Hardware > Signal Generator to verify that the instrument model is correct before proceeding.

Export Waveform Data saves an encrypted waveform file (with that .wfm file extension) to your PC. This waveform file can then be downloaded and played in other licensed signal generators or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform. You can use a Web browser and the Web-enabled instrument interface to FTP a waveform file into a signal generator. This is a much easier alternative than using programming.

To download a saved waveform to a signal generator, refer to that signal generator's Programming Guide.

Most Recently Used Files displays the four most recent settings files that were either opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Control

Generate Waveform [image] enables you to generate a waveform.

Download [image] enables you to generate and download a waveform to the hardware.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the Closed System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Run System Configuration wizard to set up a new instrument connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Tools

The Tools menu includes the following two sub-menus:

Status Window

Options: There is only one item under Options.

Display Welcome Dialog lets you to enable or disable the welcome dialog display.

Keysight Tool for SiriusXM Baseband File allows you to select the input file provided by SiriusXM. The file extension can be .tdmh or .tdm. The file .tdmh contains overlay information and .tdm files contains baselayer only.

Format

DAB The Signal Studio for Broadcast Radio will generate waveforms compatible with different broadcast radio standard, like DAB.

FM stereo\RDS The Signal Studio for Broadcast Radio will generate waveforms compatible with different broadcast radio standard, like FM stereos and RDS.

XM Satellite Radio When you select XM Satellite Radio, six carriers will be added, including two terrestrial carriers and four satellite carriers.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Search opens the Help system and displays the search utility.

About displays the version and release date of the software.

API Reference displays the API Reference help.

Software License Term displays thesoftware license terms and conditions.

Keysight Signal Studio Website links to the Keysight Signal Studio Website.

Related Topic

Keysight Tool for SiriusXM Baseband File


Graphs View

Clicking Waveform Setup or Carrier in the tree view to view graphs, which is divided into two areas: the CCDF plot on the left side and the waveform plot on the right side. A waveform can only be plotted after it has been generated.

CCDF Plot

The complementary cumulative distribution function (CCDF) plot displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform, which is the yellow curve. For additional information, see Understanding CCDF Curves.

In addition to the waveform's current plot (yellow), the Gaussian noise reference curve are also displayed in shades of gray, enabling you to make comparisons of waveform characteristics as you adjust parameters.

Click the Gaussian button to toggle the view of the band-limited Gaussian noise curve (blue).

Click the Reference button to toggle the view of the reference curve (red). The reference appears as a flat line until you generate a waveform and click the Acquire Ref. button.

Click the Acquire Ref. button to make the current waveform curve (yellow) the reference curve (red). Click the Reference button to view the reference curve.

Waveform Plot

Click this button to select from the list of different waveform plots. Selections include Closed Power, Closed I+Q, Closed I|Q, and Closed Spectrum. Each click selects the next plot type in the list. You can also click the arrow to access a drop-down menu where you can make a direct selection.

This spectrum is generated directly from the baseband IQ data. It is not the spectrum of the final waveform output from the signal generator.


Status Window

The status window displays information related to carrier and channel parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts.

When you generate, download, or export waveform data, the software checks waveform generation and license status to find errors such as missing carriers or missing or invalid licenses.

Click this button to turn the status window on or off, or select Status Window from the Tools menu.

A green dot indicates there are no errors in your setup.

A red dot indicates an error. Errors are listed sequentially with the most recent error at the top of the list.

Name

This column shows the channel name or type of error.

  • Channel configuration errors display the channel name beside the red dot.

  • Generation errors display Generation beside the red dot.

  • License errors display Instrument beside the red dot.

  • No active channel displays NoChannel beside the red dot.

Description

This column provides a detailed description of the error.

Note

This column provides information about how to resolve the conflict or error or provides other supplemental information.

Window Positioning

Position the Status window in one of three different locations relative to the main window or turn positioning off for a free-floating window.

For convenience, you can move the Status window to another location away from the main window even if it is positioned with the main window. However, when you move the main window, the Status window returns to its defined position next to the main window.

Select the Status window position using one of the four buttons located in the Status window. A green Closed button indicates the active positioning selection.

Click to position the Status window to the left of the main window.

Click to position the Status window to the right of the main window.

Click to position the Status window below the main window.

Click to turn positioning off (the Status window is free-floating).

Related Topics

Status Bar


Status Bar

The status bar updates in real-time to let you know the status of running operations, such as waveform generation. It also displays hardware connectivity information, the total sample points of the waveform and the progress of waveform generation. No hardware connected is displayed until the hardware is connected.

If "Connecting Hardware..." continues to be displayed and does not change to "Ready" within a few minutes, verify that the IO Libraries are properly configured for the connected instruments.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Generating | Generating the waveform points according to the waveform setup of this project.
Generated | The required waveform has already been generated.
Downloading | Downloading the waveform to instrument as configured in Hardware.
Download | The required waveform has already been Downloaded.

Connection Status

This area shows the connection status of the software to the signal generator.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software is not connected to the signal generator at this moment.


Quick Setups

Select Quick Setups in the Closed tree view to display a list of waveform setups, each of which is associated with a specific predefined or user-defined hardware configuration or a predefined simulated hardware configuration (Sim HW).

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

You can use the System Configuration Wizard to define a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can also customize one of the existing setups and save it as a quick setup.

Quick setups are accessible only from the Quick Setup node in the user interface. To save your waveform setup as a file that can be shared with other users, use File > Save As or File > Export Waveform Data.

Predefined Quick Setups

Signal Studio software provides predefined quick setups that enable you to examine the default parameters for a particular function, while in simulated hardware mode. You can use the predefined quick setups as a starting point, modify the settings as desired, then save them as a new quick setup (see Custom Quick Setups, below). However, you cannot modify or delete the predefined quick setups.

Quick Setup Name and Function

The name and function displayed for each Quick Setup.

  • RF Output – Simulated hardware connection for an N5182A signal generator

  • 1 Ant Tx (for PXB) – Simulated single antenna PXB connection

  • 16800/16900 Logic Analyzer – Simulated hardware connection for a 16800/16900 logic analyzer

Quick Setup for PXB

If you install the Signal Studio for 3GPP W-CDMA FDD software on the PXB, the following predefined quick setup is available if you have selected Quick Setup files for PXB as the Custom Setup during installation. This quick setup includes an actual hardware configuration (not simulated hardware settings) and waveform settings for a typical 3GPP W-CDMA FDD use case on your PXB.

  • 1 Ant Tx (for PXB) – Single antenna PXB connection

Custom Quick Setups

After you have defined waveform parameters in the Instrument node and the Waveform Setup node, you can associate this waveform setup with the currently configured hardware (displayed in the Hardware node) by pressing the Save As Quick Setup button and providing a name for the new Quick Setup.

To save the current waveform setup with a different hardware configuration, define the new hardware configuration using the System Configuration Wizard (System > Run System Configuration Wizard), then click Save As Quick Setup.

If you change one or more Waveform Setup parameters, the software prompts you to save the changes as a Quick Setup when you exit. If you have changed only Hardware node or Instrument node settings, the software does not prompt you to save changes when you exit. Use the Save As Quick Setup button to save these changes to a Quick Setup

When using Windows Vista operating system, saved settings files (*.scp) are not shared between different users of the same PC unless saved to a common location accessible to all users.

Use the following buttons to manage your quick setups:

Save As Quick Setup

Click this button to save the current hardware and software configuration as a custom quick setup. A Closed window appears, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Open Quick Setup

Click this button to open the selected quick setup. Double-clicking the quick setup performs the same function.

Delete Quick Setup

Click this button to delete the selected custom quick setup.

You cannot delete any of the factory default Quick Setups.

Rename Quick Setup

Click this button to rename a custom quick setup. A window appears enabling you to choose and rename the quick setup.

You cannot rename any of the factory default Quick Setups.


Hardware Settings

Real Time

Hardware

For information about using the software to change instrument settings, choose the topic for your application type:

  • for the ARB application, refer to this Instrument topic

  • for the real-time application, refer to this Instrument topic

Select this view to display read-only information about the hardware system. When using a simulated hardware, the Closed property pane shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

When using a simulated PXB connection, <Simulated Hardware> appears in the Name cell, PXB appears in the Description cell, and <Simulated PXB> appears in the Connection cell. N/A appears in the Model Number, Serial Number, and Firmware Revision cells.

Run Self-Tests

Click this button to run an I/O interface connection test between the signal generator and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Click this button to run an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections Closed window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a Closed red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

2. ESG/PSG/EXG/MXG Signal Generator Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the signal generator model number.

Serial Number

View the signal generator serial number.

Firmware Revision

View the signal generator firmware revision number.

2.1 Options

View the list of options installed in the selected signal generator.

For a complete description of the available signal generator options, see the signal generator's data sheet.


Signal Generator Settings

Real Time

Signal Generator

Clicking Signal Generator in the tree view displays the Instrument Settings table in the node view of the main window.

Click the plus [image] box to expand the table and access those parameters.

Update to Instrument

Press this button Closed [image] to send the software parameters to the connected instrument.

Update from Instrument

Press this button Closed [image] to retrieve the parameters from the connected instrument.

Local

Press this button Closed [image] to deactivate remote operation and return the signal generator to local (front panel) control.

Preset

Press this button Closed [image] to set the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Press this button Closed [image] to execute an I/Q DC Calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only, and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument, and make this button available.

Power Search

Press this button Closed [image] to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.


1. Configuration

Instrument Model Number

Range: E4438C| N5162A/N5182A| PXB

Displays the model number of the currently connected instrument.

Double-click or use the drop-down menu to select an instrument for your configuration.


2. Basic

If the Instrument Model Number under Configuration is PXB, Frequency, Amplitude, RF Output are not visible and Baseband Channel Assignment appears here.

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Enter a value to remotely set the signal generator’s output amplitude.

Relative Amplitude

PXB Baseband Generator and Channel Emulator

In a typical MIMO system, the average power of the signal transmitted by each antenna is different than the average power transmitted by the other antennas. For example, a difference in average power can be caused by preambles or other reference signals that are present on some antennas and not on others.

When connected to a PXB Baseband Generator and Channel Emulator, Signal Studio provides a separate Relative Amplitude cell for each antenna to display this difference in average power. For example, if you set up a two-antenna configuration in the System Configuration Wizard, the software displays two Relative Amplitude cells.

When you generate the waveform, the software sets the power in the Relative Amplitude cells based on the current waveform settings. The value in each Relative Amplitude cell represents the power in the corresponding baseband generator (BBG) on the PXB relative to the power in the other BBGs.

For more information, refer to the PXB's online documentation.

Baseband Channel Assignment (PXB)

Range: 1 to 16

Default: 1

When you establish a connection between the Signal Studio software and the PXB, Signal Studio recognizes the number of baseband generators (BBGs) in the currently loaded PXB configuration. Signal Studio creates a waveform file (Ant0, Ant1, Ant2, and so on) for each antenna configured in the System Configuration Wizard. The default behavior is for Signal Studio to download waveform file Ant0 to BBG1 in the PXB, waveform file Ant1 to BBG2, and so on. In the Baseband Channel Assignment cell, the default BBG assignments are displayed as a comma-separated list (1,2).

The Baseband Channel Assignment parameter enables you control the assignment of each waveform file to a specific BBG resource, rather than accepting the default. You can assign Ant0 to BBG2 and Ant1 to BBG1 by making the corresponding change to the comma separated list (2,1).

RF Output

ESG, EXG, MXG Signal Generator

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the signal generator’s RF output state.


3. I/Q

I/Q settings are not visible if the Instrument Model Number under Configuration is PXB.

IQ Adjustments

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I and Q parameters are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default: 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Q Offset

Range: N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default: 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

I/Q Gain Balance

Range: N5162A/N5182A: −1 dB to 1 dB, in 0.001 dB steps

All other models: −4 dB to 4 dB, in 0.01 dB steps

Default: 0.00 dB

Set I/Q Adjustments to On to enable this parameter.

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Quadrature Angle Adjustment

Range: −10 to 10 degrees

Default: 0.00 degrees

Set I/Q Adjustments to On to enable this parameter.

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

I/Q Timing Skew Path

Choice: RF | Baseband (BB)

Default: RF

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select whether the path is RF or Baseband (BB).

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice:

N5172B/N5182B: RF Output | External I/Q Output | Dig Bus Output

Other Models: RF Output | External I/Q Output

Default: RF Output

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Skew

Range:N5162A/N5182A: −800 to 800 ns, in 1 ps steps

All other models: −2.0 to 2.0 seconds, in 1 ps steps, the limits are affected by the sample rate of the current format

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this parameter.

This cell inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: N5162A/N5182A: −400 to 400 ns, in 1 ps steps

All other models: −1.0 to 1.0 seconds, in 1 ps steps, the limits are affected by the sample rate of the current format

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this feature.

This cell sets the I/Q delay from triggers and markers, in picoseconds.


4. ALC

ALC settings are not visible if the Instrument Model Number under Configuration is PXB.

ALC

Choice: On | Off

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On − the ALC circuit constantly monitors and controls the output power level.

  • Off − no automatic leveling occurs.

ALC Bandwidth

Choices: Auto, 100 Hz, 1 kHz, 10 kHz, 100 kHz

Default: Auto

Select the ALC loop bandwidth from the drop-down list. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

This parameter is not available with all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Modulation | Fixed

Default: Modulation

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • Fixed − power search uses a fixed 0.5 V reference.

  • Modulation − power search uses the RMS value of the current I/Q modulation as the reference.

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal − performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.


5. Dual ARB

Only ARB Sampling Clock is visible under Dual ARB if the Instrument Model Number under Configuration is PXB.

VCO Clock

Choice: Internal | External

Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal − the signal generator uses its internal VCO Clock.

  • External − the signal generator uses an external VCO Clock.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Sampling Clock

Default: 190.0000000 kHz

The sample clock frequency of the signal generator is automatically calculated by the program. The range depends on the connected instrument.

Waveform Runtime Scaling

Range: 1%−100%

Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters (DAC) and reduce the overshoot associated with the DAC interpolation filter.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Atten cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.00−40.00 dB

Default: 6.00 dB

Set Modulation Attenuation Mode to Manual to enable this parameter.

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

High Crest Mode

Choice: On | Off

Default: Off

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Atten levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External

Default: Internal

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source .

  • Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. Connect to the rear-panel BASEBAND GEN REF IN connector. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.2500000–100.0000000 MHz

Default: 10.0000000 MHz

Set ARB Reference to External to enable this parameter.

Use this cell after downloading and synchronizing with the signal generator.

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.


6. Dual ARB Marker Utilities

Dual ARB Marker Utilities settings are not visible if the Instrument Model Number under Configuration is PXB.

Pulse/RF Blanking

Choice: None | Marker 1–4

Default: None

Double-click or use the drop-down menu to select an RF blanking function.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking.

Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms due to ALC hold limit.

ALC Hold

Choice: None | Marker 1–4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

Choice: None | Marker 1–4

Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available with all instrument model numbers and may be grayed out.

Marker1–4 Polarity

Choice: Positive | Negative

Default: Positive

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the active polarity for Marker 1–4.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.


7. Dual ARB Trigger

Dual ARB Trigger settings are not visible if the Instrument Model Number under Configuration is PXB.

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance

Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger. See Retrigger Modeto configure the waveform's response to triggers.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External Trigger Source.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See also Segment Advance Mode.

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

This cell adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • Bus – enables the sending of a command through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

External Source

Choice: Pattern Trigger In 1 | Trigger Pattern In 2

Default: Pattern Trigger In 1

This cell selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

This parameter is active only after selecting External as the trigger source.

External Polarity

Choice: Positive | Negative

Default: Positive

This toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Positive – the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Negative – reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

This parameter is active only after selecting External as the trigger source.

External Delay

Choice: On | Off

Default: Off

This cell turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range: N5162A/N5182A: 8 ns to 30 s in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default: 1 ms

Sets the amount of time to delay the signal generator's response to an external trigger. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

This cell selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – immediately triggers when you turn the format on.

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

This cell configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • No Retrigger – causes the waveform to ignore the triggers during playback.

  • Buffered Trigger – causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

  • Single – causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low

Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

  • Active Low causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

  • Active High causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.


8. Real-time Noise Setup

Real-time Noise Setup settings are not visible if the Instrument Model Number under Configuration is PXB.

If an instrument does not have Real-time Noise capabilities, the noise effect does not work.

Real-time Noise

This cell enables or disables adding real-time, non-repeating additive white gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition of Real-time Noise.

  • Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 0.0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

Range:

N5162A/N5182A: 1.0 Hz to 125 MHz

All other models: 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier).

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth be that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1.0 Hz to 100.000 MHz

Default: 1.0 Hz

Set or change the noise bandwidth.

This parameter is not available with all instrument model numbers and may be grayed out.


Licenses

Status

Double-click or use the drop-down menu to set the operating state of the selected feature.

  • On – enables the feature. If the state is on, but the connected instrument does not have the required license, the cell turns orange.

  • Off – disables the feature.

Description

Displays the name of the available features.

Instrument n License

Displays the status of the selected feature on the connected instrument.

  • Valid – the license is installed and active.

  • Invalid – the license is expired.

Related Topics

Licensing


Waveform_Setup_all

Real Time

Waveform Setup

Waveform setup configuration for FM/Stereo RDS | Provides configuration details of waveform setup for format FM/Stereo RDS.
Waveform setup configuration for DAB | Provides configuration details of waveform setup for format DAB.


waveform setup

Real Time

Waveform Setup for FM Stereo/RDS

Select FM Stereo/RDS in the Format, shown as follows.

To learn more about the FM Stereo/RDS signals, refer to FM Stereo/RDS Theory.

Clicking Waveform Setup in the tree view displays the panes in the parameter view where you can configure a FM Stereo/RDS waveform and download it to the Keysight ESG or EXG/MXG Vector Signal Generator. This software will do real-time coupling and clipping on the FM Stereo/RDS waveform parameters that you input and display the coupled and clipped values immediately.

The parameters configuration for FM Stereo/RDS waveform can be divided into four levels, and each level has its specific parameter set as listed below in detail.

Waveform Setup – Waveforms can consist of up to 12 carriers in a single waveform. In the waveform setup window, you can add and remove carriers as you require. Set the waveform properties, such as: FM Scheme, Play Time and RDS Oversampling Ratio, which allows you to quickly assess your setup.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 12 carriers in the waveforms.

Click [image] to open a drop-down menu which allows you to add a carrier to the current configuration. The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Click [image] to delete the highlighted carriers in the Carrier Configuration Summary Table.

Click [image] to copy the highlighted carrier and appends the copy to the bottom of the carrier list.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name of up to 22 characters. The name can include spaces and the following special characters: _ $ & # + - [ ]. If you enter a name with more than 22 characters, the software truncates the name to 22 characters when you click outside of the cell. The default name is FM_RDS.

The name you define here is displayed on the signal generator when you download the waveform.

Comments

Enter an alpha-numeric comment of up to 32 characters. You can enter a separate comment for each waveform.

Waveform Length

View the waveform length, displayed in points. You cannot edit this cell. The software automatically sets this value.

Increasing the Play Time or the RDS Oversampling Ratio will increase the waveform length.

If you build a waveform from multiple carriers, Waveform Length is specific to an individual carrier. If the carrier Waveform Lengths are different, the shorter carriers' waveforms are repeated.

FM Scheme

Choice: Digital | Analog

Default: Digital

In the N7611b software user interface, two modes of FM scheme are provided: analog and digital.

Analog Mode: E4438C only. This mode uses the E4438C internal Frequency Modulation functionality.

Graphical displays the connection of E4438C during FM analog calibration

The ARB waveform player is used to play back the multiplexed signal( including the main channel (L+R), the pilot tone, the sub-channel (L-R), and the RDS sub-carrier). The analog multiplexed signal is output from the I/Q OUT Connector and fed into the EXT 1 INPUT Connector by an external BNC cable as internal Frequency Modulation input.

In analog mode, after the ARB waveform is downloaded, the ESG will be configured as following automatically:

  1. Internal I/Q modulator disabled.

  2. Set FM Path -> 1 on E4438C

  3. Set FM -> On on E4438C

  4. Set FM Source -> Ext1on E4438C

  5. Set Ext Coupling -> DC on E4438C.

In analog mode, to acquire accurate FM deviation, extra calibration is probably needed.(For more information, click here.)

Digital Mode: The ARB waveform player is used to play back the frequency modulated signal. For multi-carrier source, only digital FM could be adopted.

No special connection and calibration needed. In most cases, Digital mode with appropriate sampling ratio is recommended for simple setup and good enough performance.

Play Time

Default: 5.080 s

Set the play time of the specified Waveform, which will be slighted tuned to make sure calculated Waveform Length value is always integer.

2. Spectrum Control

RDS Oversampling Ratio

Range: 80 to 12000

Default: 80

Double-click or use the drop-down menu to set the RDS oversampling ratio.

Notice that default setting is digital mode, RDS Oversampling Ratio is 120 (ARB sample clock is 285KHz) and FM deviation is 75KHz. Since it's not good enough for the performance of Arb sample clock if it's lower than 285KHz, and Arb sample clock should be increased with higher FM Deviation value.

Usually, the arb sample clock is recommended to be around or higher than 4 times of FM deviation. The relationship between RDS Oversampling Ratio and Arb sample clock is shown as follows:

Arb sample clock = 1187.2 x 2 x RDS oversampling ratio

Mirror Spectrum

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to swap the I and Q waveforms.

This parameters is used during the correction operation to account for low side up conversion between the signal and the spectrum analyzer.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Default: 0.000 deg

Set the baseband quadrature phase angle in degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Default: 0.000 dB

Set the baseband quadrature gain balance, in dB.


Carrier Setup

1. Basic | 2. FM | 3. Audio | 4. RDS
State Frequency Offset Initial Phase Power | FM Deviation FM Deviation Unit Normalized Pilot Pilot Deviation Pilot Frequency Pilot Initial Phase Stereo Frequency Stereo Initial Phase | Audio Deviation Audio Source Pattern Audio Source Left Tone(s) Right Tone(s) Pre-emphasis Normalized Audio Frequency | RDS RDS Deviation RDS Frequency RDS Initial Phase RDS Filter Type Alpha RDS Payload

1.Basic

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to set the state of the carrier ON or OFF.

Frequency Offset

Range: -12.5 to 12.5 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

Initial Phase

Range: 0.00 to 359.00 deg

Default: 0.00 deg

Set the initial phase of the carrier.

Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2.FM

FM Deviation

Range: 1Hz to 300 kHz

Default: 75.000 kHz

Frequency deviation is used in FM radio to describe the maximum instantaneous difference between an FM modulated carrier frequency, and the nominal carrier frequency.

FM Deviation Unit

Choice: Percentage | Frequency

Default: Percentage

Double-click or use the drop-down menu to set the FM Deviation Unit to percentage or frequency. Pilot Deviation and RDS Deviation will be set in the selected FM Deviation Unit accordingly.

Normalized

Choice: True | False

Default: True

Double-click or use the drop-down menu to select whether the FM deviation is normalized. This key is only visible when FM Deviation Unit is set to percentage.

  • True − the FM Deviation value is used as corresponding to the peak value of the baseband modulating signal, including all signals such as audio, pilot and RDS.

  • False − the FM Deviation is used as a reference and corresponding to the amplitude of 1 V. Then the percentages of ”Audio Deviation”, ”Pilot Deviation” and ”RDS Deviation” can be set corresponding to it. However, the actual FM deviation may not be the value set for FM Deviation. Especially when Pre-emphasis is used, the audio signal will pass a filter which will significantly enlarge the signal level in higher frequency. To prevent the VCO used to generate the FM signal overload, you need to set an appropriate value to Normalized Audio Frequency cell . For more information, refer to Pre-emphasis.

Pilot

Choice: On | Off

Default: On

Set pilot status.

When transmitted in stereo, it's preferable to synchronize the RDS subcarrier with the 19 kHz pilot signal, rather than leave these two signals in complete independence. In fact substantial inter-modulation may be produced between the 3rd harmonic of the pilot signal and the RDS signal, generating an unwanted beat which may be audible.

The following picture shows the baseband layout of FM broadcasting:

Pilot Deviation

Range: 0.1% to 20%

Default: 10.0 %

The percentage of frequency deviation, since the tolerance on the frequency of the 19 kHz pilot-tone is from -2 Hz to 2 Hz.

Pilot Frequency

Range: 14.000 kHz to 24.000 kHz

Default: 19.000 kHz

In FM stereo broadcasting, a pilot tone of 19 kHz indicates that there is stereophonic information at 38 kHz (19×2, the second harmonic of the pilot). The receiver doubles the frequency of the pilot tone and uses it as a phase reference to demodulate the stereo information.

Pilot Initial Phase

Range: 0.00 deg to 359.00 deg

Default: 0.00 deg

Set the initial phase of the pilot signal.

Stereo Frequency

Range: 34.000 kHz to 42.000 kHz

Default: 38.000 kHz

Set the stereo frequency.

Stereo Initial Phase

Range: 0.00 deg to 359.00 deg

Default: 0.00 deg

Set the initial phase of the stereo signal.

3.Audio

Audio Deviation

Range: 1% to 100%

Default: 100 %

Set the percentage of audio deviation.

Audio Source Pattern

Choice: L Only | R Only | L = R | L = -R | L ≠ R

Default: L = R

Select the type of audio source.

Audio Source

Choice: Tones | Wav File

Default: Tones

Set the format of audio source, which could be Tones or Wav File. Notice that Pre-emphasis is effective only when audio source is multi-tone.

Wav File can only be enabled when Normalized is True.

Left Tone (s)

Set the tone (s) of the left channel in the following procedures.

Click on the cell of Left Tone (s) , and a [image] will appear on the right end of the cell. Click on the button [image], and a dialog for multi-tone configuration will pop up.

Add a tone

Click on [image] button, a new tone with default frequency and amplitude will be generated.

Remove a tone

Click on [image] button, an existing tone will be eliminated. Notice that the items on top will be removed first.

Add multitone

Click on [image] button, a list of tones with configured frequencies and amplitudes will be displayed. You can specify the Start frequency, Step, End frequency and Amplitude through the Closed dialog on the right side, here Step has been set to 4kHz as an example.

Right Tone (s)

Set the tone(s) of the right channel. For more information about the procedures, please refer to the Left Tone (s) setup.

Pre-emphasis

Choice: Off | 50 us | 75 us

Default: Off

In FM transceiver, pre-emphasis and de-emphasis is always adopted to solve the low SNR problem of high frequency band. Pre-emphasis refers to raising high frequency components of the input signal at the transmitter side.

However, the maximum frequency deviation after FM may increase since the high frequency components has been lifted, and it might exceed the spectrum width allowed by the original channel. That’s why the signal ought to be attenuated after pre-emphasis, before modulation, in order to keep the frequency deviation constant.

When Pre-emphasis is turned on and Normalized is true, the audio signal will pass a filter shown in Figure 1. When Normalized is false and Normalized Audio Frequency cell is set to a value (for example, 15 kHz), the pre-emphasis gain is 0dB at 15 kHz. That means the values of y-Axis in the Figure 1 will be normalized by 13.66dB. This case is commonly used because the input range of VCO is limited.

Figure 1 The relationship curve between Frequency and Gain (50us)

Normalized Audio Frequency

Default: 15.000 kHz

Sets the normalized audio frequency. This value will affect the pre-emphasis filter used. For more details, refer to Pre-emphasis.

This cell is only visible when Normalized is set to false and Pre-emphasis is turned on.

4.RDS

RDS

Choice: On |Off

Default: On

Radio Data System, or RDS, is a standard from the European Broadcasting Union for sending small amounts of digital information.

RDS Deviation

Range: 0.1% to 20%

Default: 6.0%

RDS Frequency

Range: 53 to 61 kHz

Default: 57 kHz

RDS Initial Phase

Range: 0.00 deg to 359 deg

Default: 0.00 deg

RDS Filter Type

Choice: Nyquist | Root Nyquist

Default: Root Nyquist

Set the filter type of RDS.

Alpha

Range: 0.05 to 1

Default: 1

Set the roll-off factor of a root raised cosine filter or a raised cosine filter.

RDS Payload

Choice: Messages | Pattern Bits

Default: Messages

Set the RDS payload type.

RDS Pattern Bits

Choice: All 1s| All 0s| User defined

Default: All 1s

Set the RDS pattern bits.

RDS Insert CRC

Double-click or use the drop-down menu to set whether the CRC (Cyclic redundancy check) is inserted into the RDS pattern bits.


RDS Setup

RDS | Provides information on how to configure basic parameters of RDS, such as PI code, Country Code, PTY, TP etc.
Message | Illustrates how to add, delete and edit different message information for RDS.


RDS basic

Real Time

RDS

The Radio Data System (RDS) is intended for application to VHF/FM sound broadcasts in the range 87.5 MHz to 108.0 MHz which may carry either stereophonic (pilot-tone system) or monophonic programs. The main objectives of RDS are to enable improved functionality for FM receivers and to make them more user-friendly by using features such as Program Identification, Program Service name display and where applicable, automatic tuning for portable and car radios, in particular.

The Radio Data System has spawned in Europe around 1980. At present it starts to be used in all the world. It brings some useful possibilities. The listerner's receiver can display station name, stations phone number and address, artist and title of actual song playing, traffic announcement, program type and much more.

PI Code Value

Range: 0000000000000000 to 1111111111111111

Default: 1000000000000001

Set the 16 bits PI (Programme Identification) Code Value.

If your station has only one frequency, fill your FM frequency to AF and make sure the second digit in PI is 0 (zero).

Country Code

Range: 0 to 15

Default: 8

Set the Country Code of the PI Code.

Coverage Area

Choices: Local | International | National | Supra-regional | Regional 1....Regional 12

Default: Local

Set the Coverage Area Type of the PI Code.

Programme Reference Number

Range: 0 to 255

Default: 1

Set the Programme Reference Number of the PI Code.

In each country, these codes should be systematically assigned and generically linked to the programme families.

Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme Identification (TP) of RDS.

This is a flag to indicate that the tuned program carries traffic announcements. The TP flag must only be set on programs which dynamically switch on the TA identification during traffic announcements. The signal shall be taken into account during automatic search tuning, so I recommend to turn this flag on even though you don't transmit any traffic announcements.

Programme Type (PTY)

Choice: 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock\ | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / Nostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious Music | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies Music / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather | 30.Alarm Test / Emergency Test | 31.Alarm / Emergency

Default: 1.News

Set the Programme Type (PTY) of RDS.

Program type (PTY) is an identification number to be transmitted with each program item and which is intended to specify the current Program type within 31 possibilities. This code could be used for search tuning. The code will, moreover, enable suitable receivers and recorders to be pre-set to respond only to program items of the desired type. The last number, i.e. 31, is reserved for an alarm identification which is intended to switch on the audio signal when a receiver is operated in a waiting reception mode.


RDS_Msg

Real Time

RDS Message


Basic tuning and switching information

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 0

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

Traffic Announcement (TA)

Choice: On | Off

Default: Off

Set the Traffic Announcement (TA), which is an on/off switching signal to indicate when a traffic announcement is on air. The signal could be used in receivers to:

  • switch automatically from any audio mode to the traffic announcement;

  • switch on the traffic announcement automatically when the receiver is in a waiting reception mode and the audio signal is muted;

  • switch from a program to another one carrying a traffic announcement.

After the end of the traffic announcement the initial operating mode will be restored.

Music/Speech (M/S)

Choice: Music | Speech

Default: Music

Set the Music/Speech Switch (M/S), which is a two-state signal to provide information on whether music or speech is being broadcast. The signal would permit receivers to be equipped with two separate volume controls, one for music and one for speech, so that the listener could adjust the balance between them to suit his individual listening habits.

Programme Service Name (PS)

Default: RDS Test

Set the Programme Service Name (PS), which is the label of the program service consisting of not more than eight alphanumeric characters, which is displayed by RDS receivers in order to inform the listener what program service is being broadcast by the station to which the receiver is tuned.

Alternative Frequency State

Choice: On | Off

Default: Off

Set the Enable State of Alternative Frequency List.

Alternative Frequency Method

Choice: Method A | Method B

Default: Method A

Set the Method for transmission of alternative frequencies. Two methods of transmitting AFs are possible. AF method A is used for lists up to 25 in numbers and AF method B is used for larger lists.

Alternative Frequencies

Set the Method for transmission of alternative frequencies.

A dialog box will pop up for more alternative frequencies to choose.

Decoder Identification Value

Set the Binary of Decoder Identification.

DI (Decoder Identification) Value indicates which possible operating modes are appropriate for us with the broadcast audio.

Dynamic PTY

Choice: On | Off

Default: Off

Set the Dynamic PTY State of Decoder Identification, which indicates if PTY codes in the transmission are dynamically switched.

Compressed

Choice: On | Off

Default: Off

Set the Compressed State of Decoder Identification.

Artificial

Choice: On | Off

Default: Off

Set the Artificial State of Decoder Identification.

Stereo

Choice: On | Off

Default: On

Set the Stereo State of Decoder Identification.


Programme Item Number and slow labeling codes

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 1

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Link Actuator

Choice: On | Off

Default: Off

Set the Link Actuator indicator of Group Type specified above.

Extended Country Code (ECC)

Range: 0 to 255

Default: 225

Set the Extended Country Code.

RDS uses its own country codes. The first most significant bits of the PI code carry the RDS country code. The four bit coding structure only permits the definition of 15 different codes, 1 to F(hex). Since there are many more countries to be identified, some countries have to share the same code which does not permit unique identification. There is the need for Extended Country Code (ECC).

Programme Item Number Code

Range: 0 to 65535

Default: 0

Set the Programme Item Number Code.

The transmitted Programme Item Number Code will be the scheduled broadcast start time and day of month as published by the broadcaster.

Language Code

Range: 0 to 4095

Default: 9

Set the Language Code.


Clock-time and date

Time and date codes should use Coordinated Universal Time and Modified Julian Day. The listener, however, will not use this information directly and the conversion to local time and date will be made in the receiver's circuitry. CT is used as time stamp by various RDS applications and thus it must be accurate.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 4

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Modified Julian Day

Default: August 08, 2008

The date is expressed in terms of Modified Julian Day and coded as a 17-bit binary number in the range 0- 99999.

UTC Hour

Range: 0 to 23

Default: 0

Set UTC (Coordinated Universal Time) hour.

UTC Minute

Range: 0 to 59

Default: 0

Set UTC (Coordinated Universal Time) minute.

Local Time Offset (Half Hour)

Range: -24 to 24

Default: 0

The local time offset is expressed in multiples of half hours within the range -12h to +12h.

Since the interval is half hour, the Local Time Offset range will be -24 to 24.


Radio Text

Radio Text refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.

There are two ways for configuring Radio Text (RT) message:

  • Directly click on [image] in the Closed RDS Message list, and edit in the Message pane below.

  • Import Radio Text from a txt file, in which the Group Version, maximum number of messages and Interval could be specified.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 2

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

Text A/B Flag

Choice: A or B

Default: A

If the receiver detects a change in the flag (from binary "0” to binary "1” or vice-versa), then the whole Radio Text display shall be cleared and the newly received Radio Text message segments shall be written into the display; If the receiver detects no change in the flag, then the received text segments or characters shall be written into the existing displayed message and those segments or characters for which no update is received shall be left unchanged.

Radio Text

Radio Text refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.


User Defined

User Defined Message box provides you a easy-to-configure user interface for customized message, in which you can specify Byte (bit4 to bit0), Byte5 to Byte8 separately.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 0

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme (TP) Identification Code.

Programme Type (PTY)

Set the Programme Type (PTY) of RDS.

Interval

Default: 0.0s

Set the interval of the message.

Bits

Default: 0000000000000000000000000000000000000

Set the 0/1 bits of the user defined data.


Enhanced Other Networks

This feature can be used to update the information stored in a receiver about program services other than the one received. Alternative frequencies, the PS name, Traffic Program and Traffic Announcement identification as well as Program Type and Program Item Number information can be transmitted for each other service. The relation to the corresponding program is established by means of the relevant Program Identification.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 14

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

EON Information

Choice: PIN (ON) | AF (ON) Method A | AF Mapped Frequencies | Linkage Information | PTY (ON) and TA (ON) | PIN (ON) |

Default: AF (ON) Method A

EON information permits the transmission of not only information of a currently receiving local or this network but also information of other non-receiving networks.

Other Network PI Code Value

Range: 0000000000000000 to 1111111111111111

Default: 1000000000000001

Set the 16 bits PI (Programme Identification) Code Value.

Other Network Country Code

Range: 0 to 15

Default: 8

Set the Country Code of the PI Code.

Other Network Coverage Area

Choices: Local | International | National | Supra-regional\Regional 1....Regional 12

Default: Local

Set the Coverage Area Type of the PI Code.

Other Network Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme Identification (TP) of RDS.

Other Network Programme Reference Number

Range: 0 to 255

Default: 2

Set the Programme Reference Number of the PI Code.

In each country, these codes should be systematically assigned and generically linked to the programme families.

Other Network Programme Item Number Code

Range: 0 to 65535

Default: 0

Other Network Traffic Announcement

Traffic Announcement (TA)

Choice: On | Off

Default: Off

Set the Traffic Announcement (TA) .

Other Network Mapped FM Frequency

Choice: 87.6 MHz to 107.9MHz

Default: 91.5MHz

Set the other Network Mapped FM Frequency, be sure to enter MHz while editing.

Other Network Programme Type (PTY)

Choice: 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock\ | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / Nostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious Music | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies Music / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather | 30.Alarm Test / Emergency Test | 31.Alarm / Emergency

Default: 1.News

Other Network Programme Service Name (PS)

Default: On Test

Set the Programme Service Name (PS).


Waveform_Setup1

Real Time

Waveform Setup for DAB

Select DAB in the Format, shown as follows.

Clicking Waveform Setup in the tree view displays the panes in the parameter view where you can configure a DAB waveform and download it to the ESG or EXG/MXG Vector Signal Generator. This software will do real-time coupling and clipping on the DAB waveform parameters that you input and display the coupled and clipped values immediately.

The parameters configuration for DAB waveforms can be divided into four levels, and each level has its specific parameter set as listed below in detail.

Waveform Setup – Waveforms can consist of up to 12 carriers in a single waveform. In the waveform setup window, you can add and remove carriers that you require. Set the waveform properties, such as Oversampling Ratio, which allows you to quickly assess your setup.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 12 carriers in the waveforms and each carrier can be configured independently.

Click [image] to open a drop-down menu which allows you to add a carrier to the current configuration. The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Click [image] to delete the highlighted carriers in the Carrier Configuration Summary Table.

Click [image] to copy the highlighted carrier and appends the copy to the bottom of the carrier list.

In a multi-carrier configuration, the settings for each carrier are not coupled. Therefore, it is important that you pay special attention to the following.

  1. When setting frequency offset for each carrier, you should try to make the spectrum symmetric to the carrier frequency. For example, if there are two carriers, it is better to set frequency offsets as -0.856 MHz and 0.856 MHz instead of 0 and 1.712 MHz.

  2. The Oversampling Ratio (default setting 1) may need to be increased to make sure the ARB Sample Clock * Oversampling Ratio > bandwidth of the signal.

  3. The play time of each carrier needs to be the same. If not, there will be errors and the waveform can't be generated. The play time is Number of Transmission Frames * Frame length. The frame lengths for each mode are 96 ms for Mode I, 24 ms for Mode II, 24 ms for Mode III, and 48 ms for Mode IV.

  4. If audio test is needed, it's better to increase the 'Number of Transmission Frames' for longer play time, for example 6 secs.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name of up to 22 characters. The name can include spaces and the following special characters: _ $ & # + - [ ]. If you enter a name with more than 22 characters, the software truncates the name to 22 characters when you click outside of the cell. The default name is DAB.

The name you define here is displayed on the signal generator when you download the waveform.

Comments

Enter an alpha-numeric comment of up to 32 characters. You can enter a separate comment for each waveform.

Waveform Length

View the waveform length, displayed in points. You cannot edit this cell. The software automatically sets this value.

Increasing the Play Time or the Oversampling Ratio will increase the waveform length.

If you build a waveform from multiple carriers, Waveform Length is specific to an individual carrier. If the carrier Waveform Lengths are different, the waveform can't be generated.

2. Spectrum Control

Oversampling Ratio

Range: 1 to 48

Default: 1

Set the oversampling ratio of the baseband signal.

Mirror Spectrum

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to swap the I and Q waveforms.

This parameters is used during the correction operation to account for low side up conversion between the signal and the spectrum analyzer.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Default: 0.000 deg

Set the baseband quadrature phase angle in degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Default: 0.000 dB

Set the baseband quadrature gain balance, in dB.


Carrier_Setup1.htm

Real Time

Carrier Setup

1.Basic

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to set the state of the carrier ON or OFF.

Frequency Offset

Range: -40 to 40 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

Initial Phase

Range: 0.00 to 359.00 deg

Default: 0.00 deg

Set the initial phase of the carrier.

Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2.DAB

Transmission Mode

Choice: ModeI |ModeII | ModeIII | ModeIV

Default: ModeI

Set the transmission modes (i.e. I, II, III and IV), which are defined to allow the system to be used for different network configurations and a range of operating frequencies. Four transmission modes have 4 different carrier numbers: 1536, 768, 384 and 192.

Transmission mode | Duration of transmission frame | Number of FIBs per transmission frame | Number of CIFs per transmission frame
I | 96 ms | 12 | 4
II | 24 ms | 3 | 1
III | 24 ms | 4 | 1
IV | 48 ms | 6 | 2

In our Signal Studio product, FIG in the FIB (Fast Information Channel) could be configured with flexibility - pre-defined or user-defined, and more information are available on FIG Configuration.

The MSC is comprised of Common Interleaved Frames (CIFs), which contains 55 296 bits. The smallest addressable unit of the CIF is the Capacity Unit (CU), comprising 64 bits.

Therefore, the CIF contains 864 CUs, which shall be identified by the CU addresses 0 to 863.

For more information on the CIF Structure, please check CIF structure.

Number of Transmission Frames

Range: 1 to 10000

Default: 4

Set the number of transmission frames. Please be aware of that, by default when the Data Source type is Demo, the Number of Transmission Frames will automatically be set to 60, which could later be modified by users; however, when you select DAB Plus in Audio Service Component Type of the certain service component, and change the Number of Transmission Frames to a value other than 60, there might be a waveform discontinuity problem.

Filter Type

Choice: None | Ideal Lowpass | User Defined

Default: None

Set the filter type.

A low-pass filter is a filter that passes low-frequency signals but reduces the amplitude of signals, or called attenuates, with frequencies higher than the cutoff frequency. Usually an Ideal Lowpass is recommended to acquire a smooth spectrum.

Filter Coefficients

Set the filter coefficients.

This parameter is valid only when Filter Type is User Defined.

Related Topics

Fast Information Group

Common Interleaved Frame


Ensemble Introduction

Real Time

Ensemble Basic

The definition of Ensemble

The ensemble, also called multiplexer, could be considered as the transmitted signal, comprising a set of regularly and closely-spaced orthogonal carriers. The ensemble is the entity which is received and processed. In general, it contains programme and data services.

An ensemble could also be considered as a collection of all the broadcasting stations on one fixed frequency.

Ensemble setup in Signal Studio

Click on Ensemble, Services or Service components to see how to set it in N7611B.

As shown in the Ensemble setup view above, one Ensemble could include multiple Service Components. There are two ways to add a Service Component to an Ensemble

  1. Under Service Components node.

    Notice that using method 1, the added Service Components will reside in the Ensemble root directory, and no Service Components are allocated to specific Services (Service 0, Service 1 or others).

  2. Under each Service node (Service 0, Service 1 or others).

    While using method 2, the added Service Components will not only reside in the Ensemble root directory, but also are allocated to the specific Service.


Ensemble

Click on the links of each parameter for details.

1. Basic | 2. Clock-time and date | 3. Fast Information Configuration | 4. Payload
Charset Ensemble Label Ensemble Id Country Id Ensemble Reference | Modified Julian Day UTC Flag Leap Second Indicator Confidence Indictor UTC Hour UTC Minute UTC Second UTC Millisecond | FIG Configuration Type FIG Configuration | Input Pattern ETI File Name ETI Demo File Name

1. Basic

Charset

Choice: 0000: complete EBU Latin Based Repertoire | 1111: ISO 10646-1 using UTF-8 transformation format

Default: 0000: complete EBU Latin Based Repertoire

Choose a character set to qualify the character information contained in the FIG type 1 filed.

Ensemble Label

Default: Test Signal

Set the ensemble label, which is applied for identifying the ensemble in a textual format which should be less than 16 characters (including blanks).

Ensemble Id

Range: 0 to 65535

Default: 57383

Get the ensemble ID, which is a unique 16-bit code, allocated to an ensemble and intended to provide its unambiguous world-wide identification.

Note that this parameter is calculated as follows: Country ID *4096 plus Ensemble Reference. Besides, Ensemble Id can’t be modified directly.

Country Id

Range: 0 to 15 (Practically zero is not used)

Default: 14

Set the Country ID, which is a 4-bit field, defined in the standard of TS 101 756, tables 3 to 7. For more information about the standard, visit ETSI Standards website.

Ensemble Reference

Range: 0 to 4095

Default: 39

Set the ensemble reference, which is a 12-bit field, indicating the number of the Ensemble allocated for use within a national area.

2. Clock Time and date

Modified Julian Day

Range: 0 to 99999

Default: 54686

Set the Modified Julian Day by a Date dialog in GUI.

Below is the formula of Modified Julian Day and Year/Month/Day

int l = (month == 0 || month == 1) ? 1 : 0;

int mjd = 14956 + day + (int)Math.Floor( ( year - 1900 - l)*365.25 ) + (int)Math.Floor( (month + 1 + l*12 )*30.6001 )

UTC Flag

Choice: Short Form | Long Form

Default: Short Form

Set the Coordinated Universal Time (UTC) Flag.

Leap Second Indicator

Choice: Not Contain a Leap Second | Contain a Leap Second

Default: Not Contain a Leap Second

Set the leap second indicator. This 1-bit flag shall be set to "1" throughout a UTC day containing a leap second.

Confidence Indicator

Choice: No Confidence | Confidence

Default: No Confidence

Set the confidence indicator. This 1-bit field shall be set to "1" when the timing information is within an agreed tolerance (for example, ±0,2 ms at first ground fall).

UTC Hour

Range: 0 to 23

Default: 0

Set the Coordinated Universal Time (UTC) hour.

UTC Minute

Range: 0 to 59

Default: 0

Set the Coordinated Universal Time (UTC) minute.

UTC Second

Range: 0 to 59

Default: 0

Set the Coordinated Universal Time (UTC) second. This cell appears only when the UTC Flag is Long Form.

UTC Millisecond

Range: 0 to 999

Default: 0

Set the Coordinated Universal Time (UTC) millisecond. This cell appears only when the UTC Flag is Long Form.

3. Fast Information Configuration

FIG Configuration Type

Choice: Auto | Manual

Default: Auto

Sets the fast information group (FIG) configuration. If you select Auto, the manual configuration will be cleared. If the Input Pattern is set to ETI (G.703) or ETI Demo (G.703), the FIG Configuration Type automatically sets to Auto and becomes inactive (grayed out).

FIG Configuration

Default: Test Service

Set the FIG Configuration in a popup dialog.

Click on the cell of FIG Configuration, and a [image] will appear on the right end of the cell. Click on the button [image], and a dialog for Fast Information Group Configuration will pop up.

FIG Configuration is valid only when FIG Configuration Type is set to Manual.

4. Payload

Input Pattern

Choice: By Each Service Component | ETI (G.703) | ETI Demo (G.703)

Set the Input pattern of the payload. If ETI (G.703) is selected, another cell Closed ETI File Name appears below. If ETI Demo (G.703) is selected, another cell Closed ETI Demo File Name appears below.

For more information about ETI and input pattern, refer to ETI concept.

ETI File Name

Explore your computer and select the desired .eti file as payload. This cell appears only when the input pattern is ETI (G.703).

ETI Demo File Name

Choice: DAB_TONE | DABplus_TONE | DAB_SlideShow

Choose one ETI demo file as payload. This cell appears only when the input pattern is ETI Demo (G.703).

After an ETI stream file is loaded, all other settings under Ensemble, Service and Service Component will be configured automatically and becomes inactive (grayed out).


Services

1. Basic

Service Label

Default: Test Service

Set the service label, which consists of alphanumeric characters associated with a particular service and intended for display in a receiver, in textual format which should be less than16 characters (including blank).

The length of ensemble label should not more than 16 characters.

Character Flag Field

Default: 1111000000000000

Set the Character Flag Field. This 16-bit flag field shall indicate which of the characters within the character field are to be displayed in an abbreviated form of the label, explained as follows:

b(i) (i = 0, ... ,15);

0 : not to be displayed in abbreviated label;

1 : to be displayed in abbreviated label.

If the character field contains less than 16 characters, the unused bits in the character flag field (having no corresponding character) should be set to zero.

Not more than 8 of the b(i) may be set to "1".

Country Id

Range: 0 to 15(Practically zero is not used)

Default: 14

Set the Country Id, which is a 4-bit field, defined in the standard of TS 101 756 , tables 3 to 7 ”Digital Audio Broadcasting (DAB); Registered Table”.

As 4-bit field might not be enough to characterize all the countries, ECC (Extended Country Code), an 8-bit field is also used, written in hexadecimal. For example, Germany is E0, Greece is E1 etc.

Service Reference

Range: 0 to 4095(for program services) | 0 to 1048575 (for data services)

Default: 2

Set the service reference, indicating the number of the service. It cannot be conflicted with other service references.

Service Id

Range: 0 to 65535

Default: 57346

Get the service Identifier.

Calculate: When program service is chosen, it equals to (Country Id)*4096 + (Service Reference);

When data service is chosen, it equals to (Extended Country Code)*16777216 + (Country Id)*1048576 + (Service Reference).

This parameter is updated with the change of Extended Country Code, Country Id or Service Reference.

2. Detailed Information

Programme/Data Service Flag

Choice: Programme Service | Data Service

Default: Programme Service

Get the Programme/Data Service Flag.

This parameter is Read-Only and will be update by the first service component in the service. If its TMID is 0, this parameter is set to Programme Service, otherwise set to Data Service.

Conditional Access Identifier

Choice: No_Access_Control | NR_MSK | Eurocrypt_EN

Default: No_Access_Control

Get the Conditional Access Identifier, which is a 3-bit field, identifying the Access Control System (ACS) used for the service. If no ACS is used for the service, CAId shall be set to zero.

This parameter is read-only.

Programme Type

Choice: 0.None | 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / ostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious usic | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies usic / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather

Default: 10.Pop Music / Country

Set the Programme Type (PTY) of DAB.

Program type (PTY) is an identification number to be transmitted with each program item and which is intended to specify the current Program type within 29 possibilities. This code could be used for search tuning. The code will, moreover, enable suitable receivers and recorders to be pre-set to respond only to program items of the desired type. The last two numbers, i.e. 30 and 31, are not used..

Related topics

Service Component


Service Component

Service Component Label

Default: Test Component

Set the component label. The Service component label feature is used to identify services in a textual format which should be less than 16 characters (including blank).

Character Flag Field

Default: 1111000000000000

Set the Character Flag Field. This 16-bit flag field shall indicate which of the characters of the character field are to be displayed in an abbreviated form of the label, as follows:

b(i) (i = 0, ... ,15);

0 : not to be displayed in abbreviated label;

1 : to be displayed in abbreviated label.

Not more than 8 of the b(i) may be set to "1".

If the character field contains less than 16 characters, the unused bits in the character flag field (having no

corresponding character) shall be set to zero.

Sub Channel Id

Range: 0 to 63

Default: 0

Set the sub channel identifier which is 6-bit field, coded as an unsigned binary number, identifying the sub-channel to which the paging information is directed.

Service Components Identifier within the Service

Range: 0 to 15

Default: 0

Set the service component identifier within the service (SCIdS), which is a 4-bit field, identifying the service component within the service. A service component identifier valid globally is provided when combined with Sid (Service Identifier, a 16-bit field identifying the service). The combination of the SId and the SCIdS provides a service component identifier which is valid globally.

Long Form

Choice: True | False

Default: False

Set the long/short flag, which indicates whether the service component description takes the short form or the long form of the size and protection field is used.

Start Address

Range: 0 to 863

Default: 0

10-bit field, coded as an unsigned binary number (in the range 0 to 863), addressing the first Capacity Unit (CU) of the sub-channel allocated to the service component.

This is a Read-only parameter, only be updated when sub-channel re-allocates.

Sub Channel Size

Range: 1 to 864

Default: 140

Get sub channel size, which is a 10-bit field, coded as an unsigned binary number (in the range 1 to 864), defining the number of Capacity Units occupied by the sub-channel.

Table Switch

Choice: 1 | 0

Default: 0

Get the table switch, which is a 1-bit flag, indicating whether the table (for Sub-channel size for audio service components as a function of the audio bit rate and the protection level (short-form application)) is signaled or there is some other use of the table index field. 0 means the table is adopted, while 1 means reserved for future use of the table index field.

Table Index

Range: 0 to 63

Default: 41

Set the Table Index, which is a 6-bit field, coded as an unsigned binary number, containing an index which shall identify one of the 64 options available for the sub-channel size and protection level.

Protection Level

Choice: UEP 1 | UEP 2 | UEP 3 | UEP 4 | UEP 5 | EEP 1-A | EEP 2-A | EEP 3-A | EEP 4-A | EEP 1-B | EEP 2-B | EEP 3-B | EEP 4-B

Default: UEP 2

Set the protection level use by the service component, which is a 2-bit field, indicating the protection level.

Note: UEP 1 | UEP 2 | UEP 3 | UEP 4 | UEP 5 are valid only when Long Form is false, while EEP 1-A | EEP 2-A | EEP 3-A | EEP 4-A | EEP 1-B | EEP 2-B | EEP 3-B | EEP 4-B are valid when Long Form is true.

Bit Rate

Get the bit rate transferred by the sub channel, which is the number of bits that are conveyed or processed per unit of time.

When Long Form is false, bit rate could be among 32, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320,384 Kbps

When the protection level is EEP 1-A, EEP 2-A, EEP 3-A or EEP 4-A, the code rate is 8*EEP_N kbps/s; when EEP 1-B, EEP 2-B, EEP 3-B and EEP 4-B, the code rate is 32*EEP_N kbps/s.

This parameter is Read-Only, and will be updated when sub-channel configuration changed.

Transport Mechanism Identifier

Choice: 0 MSC Stream Audio | 1 MSC Stream Data

Default: 0 MSC Stream Audio

Set the transport mechanism identifier, which is a 2-bit field, indicating the transport mechanism used, as follows: b15 - b14

0 0 : MSC - Stream mode - audio;

0 1 : MSC - Stream mode - data;

Audio Service Component Type

Choice: Foreground Sound | Background Sound | Multi-channel audio extension | DAB Plus

Default: Foreground Sound

Set the audio service component type, which is a 6-bit field, indicating the type of the audio service component. To generate waveforms compliant with DAB+ standard, select DAB Plus here as the audio service component type.

This parameter is valid only when Transport Mechanism Identifier is 0 MSC Stream Audio.

Data Service Component Type

Choice: Unspecified | TMC | EWS | ITTS | Paging | TDC | TDMB | Embedded I P | MOT | PSnoDSCty | PS | GET |

Default: Unspecified

Set the data service component type, which is a 6-bit field, indicating the type of the data service component. To generate waveforms compliant with T-DMB standard, select TDMB here as the data service component type.

This parameter is valid only when Transport Mechanism Identifier is 1 MSC Stream Data.

Primary/Secondary

Choice: Primary | Secondary

Default: Primary

Set the service component is primary or secondary in the service. This 1-bit flag shall indicate whether the service component is the primary one.

Data service is composed of a non-audio primary service component and optionally additional secondary service components, among which primary service indicates the first and mandatory component of a service and can be used as a default selection in the receiver, while in case a service contains more than the primary service component, the additional service components are secondary service components. Besides, the Primary/Secondary could also be marked as P/S.

Data Source Type

Choice: Test Pattern | Demo | File

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If " File " is selected, "File Name" is required.

Demo File

Choice: DAB mono 128 kbit/s | DAB mono 160 kbit/s | DAB stereo 128 kbit/s | DAB stereo 160 kbit/s | DAB+ mono 128 kbit/s | DAB+ mono 160 kbit/s | DAB+ stereo 128 kbit/s | DAB+ stereo 160 kbit/s

Default: DAB mono 160 kbit/s

Set the RS encoder of the service component.

This parameter is valid only when Data Source Type is Demo.

Last four choices are useful when Audio Service Component Type is DAB Plus while first four choices are useful when Audio Service Component Type is other value.

Related Topic

Services


Fast_Information_Group

Real Time

Fast Information Group

As illustrated in the DAB carrier setup, the FIC is made up of FIBs, and the general structure of the FIB is shown in the figure below. The FIB contains 256 bits and comprises an FIB data field and a CRC.

Figure1: Structure of the FIB

Add a FIG

Select one item of the FIG information, shown as follows.

Delete a FIG

Delete one item of the FIG information.

Up

Move the item (with the arrow on the left) up, one row each time.

Down

Move the item (with the arrow on the left) down, one row each time.

Clear

Clear all the FIG information.


Common Interleaved Frame

The MSC is made up of Common Interleaved Frames (CIFs), which is the serial digital output from the main service multiplexer, contained in the Main Service Channel part of the transmission frame.

CIF is common to all transmission modes and contains 55 296 bits, for example 864 CUs.

In the tree view, click on Ensemble, and a CIF Structure Figure will appear below the Ensemble parameter table.

If more service components are needed, there are two methods to create a new service component.

Method 1: Click on Service Components in the tree view, and in the configuration box below, click on [image], and select Add a new service component

Method 1 creates or deletes service components that haven't associated with certain service yet. Notice that the CIF structure won't change after adding a new service component following the method 1, since the service component hasn't been allocated to any service yet.

Method 2: Click on Services 0 in the tree view, and in the configuration box below, click on [image], and select Add a new service component

A Service Component 1 will be created as follows, also you can delete them using the [image] button.

CIF structure will change as follows:

There is a Service Component 1 allocated in the CIF structure.

With method 2, you have to be clear which service to edit before adding or deleting any service components.


Waveform Setup for XM Satellite Radio

Select XM Satellite Radio in the Format, shown as follows.

Clicking Waveform Setup in the tree view displays the panes in the parameter view where you can configure a XM Satellite Radio waveform and download it to the ESG or EXG/MXG Vector Signal Generator. This software will do real-time coupling and clipping on the XM Satellite Radio waveform parameters that you input and display the coupled and clipped values immediately.

The parameters configuration for XM Satellite Radio waveforms can be divided into four levels, and each level has its specific parameter set as listed below in detail.

Waveform Setup – Waveforms can consist of up to six carriers in a single waveform, namely:

  • Sat 1A : Signal A from the XM 1 Satellite

  • Sat 2A : Signal A from the XM 2 Satellite

  • Terr A: Terrestrial Signal A

  • Terr B: Terrestrial Signal B

  • Sat 1B : Signal B from the XM 1 Satellite

  • Sat 2B : Signal B from the XM 2 Satellite

In the waveform setup window, you can turn On/Off carriers that you require. Set the waveform properties, such as Oversampling Ratio, which allows you to quickly assess your setup.

1. Basic

Waveform Name

The maximum name length is 22 characters for non-Windows based instruments (such as E4438C, N5182A and etc), and 150 characters for Windows based instruments. The name can include spaces and the following special characters: _ $ & # + - [ ]. The default name is XMSatellite.

The name you define here is displayed on the signal generator when you download the waveform.

Comments

Enter an alpha-numeric comment of up to 32 characters. You can enter a separate comment for each waveform.

Waveform Length

View the generated waveform length (number of points). You cannot edit this cell.

This is calculated based on the baseband file you use.

2. Spectrum Control

Mirror Spectrum

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to swap I and Q waveforms. This parameter is used during the correction operation to account for low side up conversion between the signal generator and the spectrum analyzer.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Default: 0.000 deg

Set the baseband quadrature phase angle in degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Default: 0.000 dB

Set the baseband quadrature gain balance, in dB.

4. Baseband File

Baseband File Type

Choices: Demo File | PN9 | Keysight Baseband File

Select Demo File, PN9 or Keysight Baseband File to use the input of physical layer.

User File

The name of the baseband file. Click the right button to select and open a tdm_k or tdmh_k file.

tdm_k file is for non-overlay setting and tdmh_k file can work for both overlay and non-overlay case. Contact Keysight or SiriusXM for more information.

Related Topics

Graph View


Ensemble

1. Overlay

Overlay State

Choices: On | Off

Turn on or turn off the overlay layers in this ensemble. If you are using .tdm_k file, overlay must be turned off.


XM Satellite Radio

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Frequency Offset

Range: -10 MHz to 10 MHz

Set the frequency offset of this carrier. Frequency offset is the difference between this carrier and the frequency of signal generator in the instrument node.

Frequency

Shows the frequency of this carrier. This is read only and calculated by instrument frequency and frequency offset.

Relative Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s relative power. This is relative power among carriers, which means a carrier with relative power=-10dB is -10dB lower than the carrier with relative power=0dB.

Relative Delay

Range: 0 ms to waveform length

Set the relative delay of this carrier.

2. XM Satellite Radio

Number of Master Frames

Shows the the number of frames generated in this wavefrom. This is read only and calculated based on baseband file used.


XM Terrestrial Radio

1. Basic

State

Double-click or use the drop-down menu to control the operating state of the carrier.

Frequency Offset

Range: -10 MHz to 10 MHz

Set the frequency offset of this carrier. Frequency offset is the difference between this carrier and the frequency of signal generator in the instrument node.

Frequency

Shows the frequency of this carrier. This is read only and calculated by instrument frequency and frequency offset.

Relative Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s relative power. This is relative power among carriers, which means a carrier with relative power=-10dB is -10dB lower than the carrier with relative power=0dB.

Relative Delay

Range: 0 ms to waveform length

Set the relative delay of this carrier.

2. XM Satellite Radio

Number of Master Frames

Shows the the number of frames generated in this wavefrom. This is read only and calculated based on baseband file used.


Graph View

CCDF Graph | provides information on viewing the CCDF plot of the generated waveform.
Waveform Graph | provides information on viewing the current waveform. View either the modulated waveform or the I/Q signal.


CCDF Graph

This topic describes the CCDF functionality using the graph in the Carrier view. Clicking Carrier 0 under the tree view to display the CCDF graph.

The CCDF graph displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The CCDF and Waveform graphs are minimized in the Carrier node's initial view. To view the graphs, click and drag the border above the CCDF and Waveform graphs.

Select FM Stereo/RDS in the Format, shown as follows.

The CCDF Curve is as follows.

Select DAB in the Format, shown as follows.

The CCDF Curve is as follows.

Each time you adjust parameters and generate a waveform, a plot is added to the graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click to toggle the view of the band-limited Gaussian noise curve (blue).

Related Topics

Waveform Graph


Waveform Graph

Click Generate [image] or Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) in accordance with the current channel configuration. Any changes to the channel configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Power plot shows the cumulative power of the carrier configuration.

  • Select FM Stereo/RDS in the Format, shown as follows.

    The waveform is as follows.

    Click this button to select from the list of different waveform plots. Selections include Spectrum (shown above), Closed I+Q, Closed I|Q, and Closed Power. Click the arrow to access a drop-down menu where you can make a direct selection. Clicking the button selects the next plot type in the list without displaying the menu.

    I+Q plot shows the I and Q components overlayed.

    I/Q plot shows the individual I and Q components.

    Spectrum displays a composite of all the carriers.

  • Select DAB in the Format, shown as follows.

    The waveform is as follows.

    Click this button to select from the list of different waveform plots. Selections include Spectrum (shown above), Closed I+Q, Closed I|Q, and Closed Power. Click the arrow to access a drop-down menu where you can make a direct selection. Clicking the button selects the next plot type in the list without displaying the menu.

    I+Q plot shows the I and Q components overlayed.

    I/Q plot shows the individual I and Q components.

    Spectrum displays a composite of all the carriers.

The Waveform and CCDF graphs are minimized in the Carrier node' s initial view. To view the graphs, click and drag the border above the CCDF and Waveform graphs.

Related Topic

CCDF Graph

Waveform Setup


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | This page provides information on accessing API help, references and usage requirements.
API Programming Examples | This procedure provides information on how to build a typical program using the Broadcast Radio API in C# programming example codes.
Using the API with LabVIEW | provides instructions on using Signal Studio .NET APIs with LabVIEW.


API Help

API Class Library

API commands for controlling the N7611B Signal Studio graphical user interface are documented in the N7611B Documented Class Library (N7611API.chm). This help file is located in the following directory: C:\Program Files (x86)\Keysight\Signal Studio\Broadcast Radio.

Many of the links in the Broadcast Radio API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Numeric format

This software recognizes only US style numeric format, for example floating point is "."

Language Requirements

You must set the API locale to "en-US," using the following commands, prior to starting the user main routine:

// Sets the culture to English (US)

Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");

// Sets the UI culture to English (US)

Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

Loading .NET Mixed-Mode Assemblies

The .NET Framework 4.x allows you to load pure managed assemblies built in any version of the .NET Framework. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure your program (e.g. User_App.exe) to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as User_App.exe. Name the file User_App.exe.config.

  4. Re-launch User_App.exe.

References

The Microsoft.NET home page.

Developing Microsoft.NET Skills.

"Migrating Native Code to the .NET CLR," by Don Box.

Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


API Programming Examples

Sample programs are located in the following directory:

C:\ProgramData\Keysight\Signal Studio\Broadcast Radio\ApiSamples

Requirements

Make sure that Keysight.SignalStudio.N7611.dll and Keysight.SignalStudio.Hardware.dll appear as the reference to your API Project. Notice that if DAB format is selected, make sure the SignalStudio.N7611.DAB.dll appears as the reference to you API project. The following steps, using Microsoft Visual Studio.NET 2003 IDE, outline a procedure for adding a reference, if needed. The steps may vary depending on your development environment.

  1. Use the File menu to create a new project or open an existing project in your Visual Studio.Net programming environment.

  2. Select Project > Add Reference from the menu.

  3. In the popup window that appears, browse to the directory: C:\Program Files (x86)\Keysight\Signal Studio\Broadcast Radio (default installation directory) and select the file.

  4. Click Add > OK to add them in the project as references.

Basic Control Procedure

This procedure provides information on how to build typical programs using the Broadcast Radio API in C# programming example codes, both for DAB and FM Stereo\RDS format. Refer to Tips for DAB or Tips for FM Stereo\RDS for troubleshooting help.

  • Procedures for DAB

  • Procedures for FM Stereo\RDS


API Procedures for DAB

1. Create API Handle

These commands specify how the software create an API project handler:

using System;

using Keysight.SignalStudio.N7611;

using Keysight.SignalStudio.Hardware;

API api = new API();

BroadcastRadioProject project = api.CreateProject("DAB") as BroadcastRadioProject;

2. Configure Hardware

Connect to the signal generator using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is "TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bproject.ConnectToInstrument(inst);

3. Configure the Waveform

Get the waveform setup object.

Keysight.SignalStudio.N7611.WaveformSetup waveformSetup = project.WaveformSetup;

waveformSetup.WaveformName = "DAB_TEST";

Get the carrier object.

DAB_Carrier carrier = waveformSetup.Carrier[0] as DAB_Carrier;

carrier.Ensemble.EnsembleLabel = "New Label";

DAB_ServiceComponent serviceComponent = carrier.Ensemble.Services[0].ServiceComponents[0] as DAB_ServiceComponent;

serviceComponent.DataSourceType = DataSourceType.Demo;

serviceComponent.DemoFile = DemoFile.DAB_Mono_128;

Get the signal generator object.

Keysight.SignalStudio.Hardware.SignalGenerator sigGen = project.Hardware.SignalGenerator;

Set the RF frequency to 229.072 MHz (229.072e6)

sigGen.Frequency = 229.072e6;

Set the amplitude to -8.0 dBm.

sigGen.Amplitude = -8.0;

4. Generate, Download and Run the Waveform

Generates and downloads the waveform to the signal generator, then runs it.

project.Download();

5. Set RF On

Set the signal generator's RF output on.

project.Hardware.SignalGenerator.RFOutputEnabled = true;

project.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

project.Hardware.SignalGenerator.RFOutputEnabled = false;

project.Hardware.UpdateToInstrument();

7. End Program

End the program.

project.Close();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Keysight\\SignalStudio\\Broadcast Radio\\test1.scp";

API api = new API();

BroadcastRadioProject project;

try

{

project = (BroadcastRadioProject) api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}


API Procedures for FM Stereo\ RDS

1. Create API Handle

These commands specify how the software create an API project handler:

using System;

using Keysight.SignalStudio.N7611;

using Keysight.SignalStudio.Hardware;

API api = new API();

BroadcastRadioProject project = api.CreateProject("FM_RDS") as BroadcastRadioProject;

2. Configure Hardware

Connect to the signal generator using the correct address format:

  • GPIB(board address)::(primary address)::(secondary address)::INSTR

  • TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is "TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bool connected = project.ConnectToInstrument(inst);

3. Configure the Waveform

Get the waveform setup object.

Keysight.SignalStudio.N7611.WaveformSetup waveformSetup = project.WaveformSetup;

waveformSetup.WaveformName = "FM_RDS_TEST";

Get the carrier object.

FMCarrier carrier = waveformSetup.Carrier[0] as FMCarrier;

carrier.AudioSourcePattern = AudioSourcePattern.LOnly;

carrier.RDS.ProgrammeType = ProgrammeType.News_1;

carrier.RDS.AddMessage(MessageType.RadioText);

RDS_BasicTuningAndSwitchingMessage basicMsg = carrier.RDS.Message[0] as RDS_BasicTuningAndSwitchingMessage;

basicMsg.MusicSpeechSwitch = MusicSpeechSwitch.Speech;

Get the signal generator object.

Keysight.SignalStudio.Hardware.SignalGenerator sigGen = project.Hardware.SignalGenerator;

Set the RF frequency to 100 MHz (1e9)

sigGen.Frequency = 1e9;

Set the amplitude to -8.0 dBm.

sigGen.Amplitude = -8.0;

4. Generate, Download and Run the Waveform

Generates and downloads the waveform to the signal generator, then runs it.

project.Download();

5. Set RF On

Set the signal generator's RF output on.

project.Hardware.SignalGenerator.RFOutputEnabled = true;

project.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

project.Hardware.SignalGenerator.RFOutputEnabled = false;

project.Hardware.UpdateToInstrument();

7. End Program

End the program.

project.Close();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Keysight\\SignalStudio\\Broadcast Radio\\test1.scp";

API api = new API();

BroadcastRadioProject project;

try

{

project = (BroadcastRadioProject) api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}


Using API in LabVIEW

Real Time

Using Signal Studio .NET APIs in LabVIEW

This topic provides instructions (outlined below) for using Signal Studio .Net APIs in LabVIEW.

  • Load .NET Mixed-Mode Assemblies

  • Creating .NET Objects in the Block Diagram

    • Step 1: Configure the Constructor Node

    • Step 2: Configure Properties for Methods for the .NET Object

    • Step 3: Wire the Added .NET Nodes

    • Step 4: Run the VI

  • Example LabVIEW VIs using Signal Studio APIs

  • .NET Topics in LabVIEW Help

Load .NET Mixed-Mode Assemblies

The .NET Framework 4.0 allows you to load pure managed assemblies built in any version of the .NET Framework and LabVIEW loads the .NET Common Language Runtime (CLR) 4.0 by default. However, for some Signal Studio applications, API usage involves assemblies that are not pure .NET CLR. In these cases, you must configure LabVIEW to load .NET mixed-mode assemblies using the following steps:

  1. Open a text editor.

  2. Copy the following text into the text editor:

    <?xml version ="1.0" encoding="utf-8" ?>

    <configuration>

    <startup useLegacyV2RuntimeActivationPolicy="true">

    <supportedRuntime version="v4.0.30319"/>

    </startup>

    </configuration>

  3. Save this new configuration file in the same directory as LabVIEW.exe. Typically the directory is C:\Program Files (x86)\National Instruments\LabVIEW 2014. Name the file LabVIEW.exe.config.

  4. Re-launch LabVIEW.

Creating .NET Objects in the Block Diagram

Signal Studio APIs do not provide graphical controls, so most of the usages of APIs should be done in the Block Diagram view of LabVIEW (Window > Show Block Diagram).

Step 1: Configure the Constructor Node

  1. Add the Constructor Node to the block diagram to launch the Select .NET Constructor dialog box.

  2. Select an assembly, objects, and constructors for a .NET object.

    First, right click to “Select Constructor” and in the pop-up window “Browse” to the Signal Studio software installation directory to select the assembly (.dll or .exe) that provides the API interfaces. Then, select the appropriate Object and Constructor.

    Choose which assembly, object, or constructor according to your testing needs and also by looking at the related API help contents shipped with the Signal Studio software.

    • API related topics in the main help file (Help > Contents)

    • API referenc help file (Help > API Reference)

Step 2: Configure Properties for Methods for the .NET Object

Right click the Constructor node to create Property or Method node.

You can also right click the name of the Property to create sub Property or sub Method nodes.

Step 3: Wire the Added .NET Nodes

After all the needed nodes are created, wire them up (using the reference and error input/output connectors of the nodes) to execute the API test flow/procedure.

When wiring the whole test procedure up, you may need to add other nodes (e.g. a numeric constant), or a front panel control (in the Window > Show Front Panel view, to do runtime control) to the block diagram as appropriate.

Some properties may be “Read,” so you may need to “Change To Write” to assign value to the property.

From the context help in LabVIEW, you can know the type of a certain property node, which is helpful to wire the correct type of node/control to the property node.

Step 4: Run the VI

After all the nodes/controls are wired up correctly, you can try to run (click the toolbar button) the VI. Below is a completed small VI whose function is to set some basic configurations of 802.11ac waveform then generate 802.11ac waveforms and download it to a Signal Generator.

Some Signal Studio apps provide Close() and/or Dispose() methods in the constructor class. It is important to add a method node to call Close() or Dispose() as the last step in the block diagram to release/clean up some resources associated with the API usage.

Example LabVIEW VIs using Signal Studio APIs

Attached are two example VIs for a coupleSignal Studio applications:

  • N7614B.vi performs a simple waveform downloading procedure for the Power Amplifier Test application

  • N7617B.vi is a relatively complex example that uses different WLAN 802.11ac waveform configurations, including MIMO

To run the VIs, LabVIEW and the Signal Studio software need to be installed on your PC.

.NET Topics in LabVIEW Help

Refer to the LabVIEW help for more detailed information about using .NET objects. The image below shows where to find this information or you search on "Creating .NET Objects on the Block Diagram."


Real-Time User Interface

Menu and Tool Bar | describes the features of the menu bar and tool bar.
Status Bar | describes the status bar.
Hardware | tells how to configure and display the signal generator settings through the software.
XM Satellite Radio | describes XM satellite radio parameters.
SCPI | provides information on using SCPI commands for remote operation, including a comprehensive listing of commands.


Real Time

Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description Go to description

Menu Bar and Tool Bar

Select a command from the displayed menus to navigate to a description of the command.

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Closed Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

Open Settings File [image] opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the hardware configuration that was present when the settings file was saved. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Save Settings File [image] saves only waveform data settings to a specified settings (.scp) file. Settings files contain function setup information, but do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

The function setup information is saved as part of the settings file (*.scp). If the number of signal generators you connected doesn't match the one saved with the setup file, the software will revert to simulated mode. If the signal generator model you connected doesn't match the one saved with the setup file, the Instrument Model Number under the software tree view Hardware > Signal Generator will be changed to the one in the setup file.

Recommended Practice: After recalling a setup file, click on Hardware > Signal Generator to verify that the instrument model is correct before proceeding.

Exit stops and closes the software. If you made any waveform setup changes, a Closed dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The Closed close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the Closed System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Run System Configuration wizard to set up a new instrument connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Tools

The Tools menu includes the following two sub-menus:

Options: There is only one item under Options.

Display Welcome Dialog lets you to enable or disable the welcome dialog display.

Keysight Tool for SiriusXM Baseband File allows you to select the input file provided by SiriusXM. The file extension can be .tdmh or .tdm. The file .tdmh contains overlay information and .tdm files contains baselayer only.

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Index opens the Help system and displays the Index utility.

Search opens the Help system and displays the search utility.

About displays the version and release date of the software.

API Reference displays the API Reference help.

Software License Term displays thesoftware license terms and conditions.

Keysight Signal Studio Website links to the Keysight Signal Studio Website.

Related Topic

Keysight Tool for SiriusXM Baseband File


Instrument (MXG/EXG Real-Time Software)

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

State On

State Off

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband

6. AUX IO Global Controls

7. Trigger

8. Real-time AWGN Setup

State On

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

State Off

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

Update from Instrument

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

Internal Channel Connection

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the internal channel connection On or Off.

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20% (-25% to 25% for M9381A)

Default: 0.000%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%(-25% to 25% for M9381A)

Default: 0.000%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns (-250 ns to 250 ns for M9381A)

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select the ALC loop bandwidth. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: RMS | Fixed | Manual | Modulated

Default: Modulated

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Fixed – Power search uses a fixed DC bias value.

Manual − Power search allows you to specify the DC bias voltage.

Modulated – Power search uses the AC bias from the actual modulating signal.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

5. Baseband

Sample Rate

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

Frequency Offset

Range: -80 MHz to 80 MHz

Default: 0 Hz

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

Input RMS Source

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

6. AUX IO Global Controls

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

7. Trigger

Trigger Source

Choice: Trigger Key | External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

Trigger Type

Choice: Free Run | Trigger & Run

Default: Free Run

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Default: Pattern Trigger In 1

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?


XM Satellite Radio

1. Baseband File

Baseband File Type

Choices: Demo File | Keysight Baseband File

Select Demo File or Keysight Baseband File to use the input of physical layer.

[:SOURce]:RADio:XM[:BBG]:BFILe:TYPe Demo File | Keysight Baseband File

[:SOURce]:RADio:XM[:BBG]:BFILe:TYPe ?

File Location

Choice: Local | Instrument

Default: Local

Double-click or use the drop-down menu to select where the payload is. The Local is recommended.

File Name

The name of the baseband file. Click the right button to select and open a tdm_k or tdmh_k file.

tdm_k file is for non-overlay setting and tdmh_k file can work for both overlay and non-overlay case. Contact Keysight or SiriusXM for more information.

[:SOURce]:RADio:XM[:BBG]:BFILe:FILe <File Location>

[:SOURce]:RADio:XM[:BBG]:BFILe:FILe ?

Number of Master Frames

Number of frames calculated from the file.

[:SOURce]:RADio:XM[:BBG]:BFILe:FRAMe <val>

[:SOURce]:RADio:XM[:BBG]:BFILe:FRAMe ?


Esemble

Real Time

View Popup View Popup View Popup View Popup View Popup View Popup Go to description Go to description

Ensemble

1. Overlay

Overlay

Choices: On | Off

Turn on or turn off the overlay layers in this ensemble. If you are using .tdm_k file, overlay must be turned off.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:OVERlay ON|OFF|1|0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:OVERlay ?


XM Satellite Carrier

1. Basic

State

Choices: On | Off

Turn on or turn off the carrier.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ON|OFF|1|0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ?

Relative Power

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Set the carrier's relative power. This is relative power among carriers, which means a carrier with relative power=-10dB is -10dB lower than the carrier with relative power=0dB.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer ?

Frequency Offset

Range: -10 MHz to 10 MHz

Set the frequency offset of this carrier. Frequency offset is the difference between this carrier and the frequency of signal generator in the instrument node.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset ?

Frequency

Shows the frequency of this carrier. This is read only and calculated by instrument frequency and frequency offset.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency ?

Relative Delay

Range: 0 ms to 432 ms

Set the relative delay of this carrier. This parameter can not change when Real-time state is On.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay ?


XM Terrestrial Carrier

1. Basic

State

Choices: On | Off

Turn on or turn off the carrier.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ON|OFF|1|0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ?

Relative Power

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Set the carrier's relative power. This is relative power among carriers, which means a carrier with relative power=-10dB is -10dB lower than the carrier with relative power=0dB.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer ?

Frequency Offset

Range: -10 MHz to 10 MHz

Set the frequency offset of this carrier. Frequency offset is the difference between this carrier and the frequency of signal generator in the instrument node.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset ?

Frequency

Shows the frequency of this carrier. This is read only and calculated by instrument frequency and frequency offset.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency ?

Relative Delay

Range: 0 ms to 432 ms

Set the relative delay of this carrier. This parameter can not change when Real-time state is On.

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay ?


SCPI

SCPI Basics | provides basic information about SCPI commands
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to Command Parameters and Responses for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to Command Tree for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in Figure 2. Simplified Command Tree.

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

[:SOURce]:RADio:XM[:BBG]:BFILe:FILe ?

[:SOURce]:RADio:XM[:BBG]:BFILe:FILe <FileLocation>

[:SOURce]:RADio:XM[:BBG]:BFILe:FRAMe ?

[:SOURce]:RADio:XM[:BBG]:BFILe:FRAMe <val>

[:SOURce]:RADio:XM[:BBG]:BFILe:TYPe DemoFile | KeysightBasebandFile

[:SOURce]:RADio:XM[:BBG]:BFILe:TYPe ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:DELay <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FOFfset ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:FREQuency <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer <val>

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:POWer ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ON | OFF | 1 | 0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ?

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:CARrier1|2|3:STATe ON | OFF | 1 | 0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:OVERlay ON | OFF | 1 | 0

[:SOURce]:RADio:XM[:BBG]:ENA|ENB:OVERlay ?


trouble_shooting

Real Time

Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Instrument Problems | describes measurement or operation problems with the signal generator.
Printing Problems | describes how to resolve common printing problems.


Software Problems

Baseband Generator DAC over range

After downloading the waveform, the signal generator displays error: Baseband Generator DAC over range.

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

Signal generator front panel keys do not work

After downloading the waveform, the signal generator front panel keys do not work.

Cause: Downloading the waveform places the signal generator in remote operation, which deactivates the front panel operation.

Solution: On the signal generator, press the Local key to restore front panel operation.

"FW version is not valid"

After clicking Test Connection or Test All Connections, "FW version is not valid" appears in the Note column of the Instruments window.

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

"Connection failed"

After clicking Test Connection or Test All Connections, "Connection failed" appears in the Note column of the Instruments window.

Cause: The instrument connection via LAN or GPIB may not be properly enabled.

Solution: Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the Instrument window matches the instrument and interface you are using.

"Restricted User" cannot run Signal Studio application

Cause: When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the utility Connection Expert, installed with the Keysight IO Libraries. Full information on using Connection Expert is available in the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  • Ensure that the cable and all connectors are undamaged.

  • Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  • Verify that the GPIB address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the GPIB settings.

  • Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  • Review the information about installing Keysight I/O libraries.

Troubleshooting the LAN Interface

If the signal generator is connected directly to a computer, use a crossover LAN cable; if the signal generator is connected to a network/external server, use a standard LAN cable.

  • Ensure that the cable and all connectors are undamaged.

  • Ensure that the LAN cable is securely connected to the PC and the signal generator.

  • Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  • Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the LAN settings.

  • Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  • Run the 'ping' program:

  • On the computer go to Start > Programs > Command Prompt (or DOS).

  • At the C:\> prompt, enter ping <IP address>, where <IP address> is the signal generator's IP address.

  • If the signal generator does not respond, contact your IT department for help.

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Keysight


Instrument Problems

Signal Generator

Error Messages

  • Check the signal generator for any error messages. If possible, correct any conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. You can view the full text of the error message either by using the front panel of the instrument or by executing SCPI commands.

    Front Panel:

    On the ESG,press Utility > Error Info.

    On the EXG/MXG, press the Error hardkey.

    SCPI:

    Execute the SCPI error commands described in the System Subsystem located in the ESG/EXG/MXG/PSG SCPI Command Reference.

  • Refer to the instrument's documentation for further troubleshooting.

  • Contact a Keysight Technologies Service Center.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. To restore front panel operation to the signal generator, press the Local key on the signal generator, or press the Local button in the software.

Computer

  • Verify that the equipment meets the minimum requirements, as described in the system requirements.

  • Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems

Contacting Keysight


Printing Popup Topics

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7611B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the Broadcast Radio installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


Release Notes

Real Time

N7611B Release Notes

Version 4.0 – April 2017

Version 3.5 – Sep 2014

Version 3.4 – Aug 2012

Version 3.3 – Apr 2012

Version 3.2 – Oct 2011

Version 3.0 – May 2010

Version 2.2 – Jul 2009

Version 2.0 – Dec 2008

Version 1.2 – Jun 2008

Version 1.1.0.0 – Dec 2007

Version 4.0 - April 2017

  • Added support for XM Satellite and Terrestrial Radio waveforms in N7611B Arb and real-time applications.

Version 3.5 - Sep 2014

Enhancements

  • Applied Keysight brand to software.

Bug Fixes:

  • Fixed issue where “Error -113, undefined header :FM:<Err> STATE 0$<NL>” occurred when connected to an X-series MXG/EXG without Option UNT

  • Fixed issue relating to large waveform support for PXB

Version 3.4 - August 2012

Enhancements

  • Added support for the M9381A PXIe Vector Signal Generator

Version 3.3 - April 2012

Enhancements

  • Added support for N5182B MXG and N5172B EXG X-Series RF vector signal generators, starting at firmware revision B.01.00.

Version 3.2 - October 2011

Enhancements

  • Added Windows 7 support.

  • Added non-live (waveform export) connectivity for EXT.

  • Added 50-pack waveform licensing support.

  • Waveform name length increased to 22 characters.

Version 3.0 - May 2010

Enhancements

  • Added support for ETI stream file as input, while sample ETI steams including DAB tone, DAB+ tone and slides show are provided. License Sxx is for this feature.

  • Added connectivity to N5106A PXB baseband generator and channel emulator. License 6FP is for this feature.

Version 2.2 – July 2009

Bug Fix

  • Fixed the signal generation failure when a wav file is selected in FM stereo/RDS.

Version 2.0 – December 2008

Bug Fix

  • Fixed the signal generation failure when Radio Text length is 64.

Enhancements

  • Changed the implementation of pre-emphasis for tones in FM Stereo/RDS format.

  • Added DAB/DAB+ source generation including Mode I, II, III, IV

  • Support multiple Service and Service Components in a flexible way

    • Service added under Ensemble

    • Service components added under each service

  • Support Single and multi-carrier signal configuration

  • Support Program type, service component type, Time and date and User defined FIG.

  • Support the following Payload data: (Truncated) PN9/15, user data, fixed pattern and MPEG-2 DAB audio file

Version 1.2 – June 2008

Enhancements

  • Added connectivity for the N5162A MXG ATE vector signal generator

Version 1.1.0.0 – December 2007

Initial Release

Software version 1.1.0.0 is the initial release of N7611B Signal Studio for Broadcast Radio and is used to generate create arbitrary baseband I/Q waveforms with different broadcast radio standards, like FM stereo and Radio Data System/Radio Broadcast Data System (RDS/RBDS).

Features depend on installed hardware and firmware options in the signal generator.

  • Supports N5182A MXG and E4438C ESG vector signal generators

  • Quickly and easily configures FM Multiplex (MPX) mono or stereo waveforms

    • Separately definable modulation signal in stereo L and R

    • FM Deviation 0 to 75 kHz for standard testing and up to 150 kHz for special testing

    • Pilot deviation 0.1% to 20% of FM Deviation in 0.1% steps

  • Supports RDS function for receiver (automobiles, cell phones and more) tests

    • Includes EON, TP, TA, PTY, PS, AF, CT, RT

    • Provides flexible alternative frequency (AF) configuration

    • Facilitates Radio Text messages editing - directly input or import from files

    • Provides user-definable message type and group type

  • Multi-carrier/multi-channel capability for up to 12 carriers, each independently configurable

  • Add I/Q waveform impairments and real-time AWGN (requires signal generator option 403)

  • Application Programming Interface (API) for automating signal creation


Glossary

AF | Alternative frequencies (or AF) are an option that allows a receiver to re-tune to a different frequency that provides the same station, when the first signal becomes too weak.
ALC | Automatic leveling control
Arb | Arbitrary waveform generator
AWGN | Additive white Gaussian noise
BTSC | Broadcast Television Systems Committee
BBG | Baseband generator
BER | Bit error rate
BS | Base station
CCDF | Complementary cumulative distribution function
CIF | Common Interleaved Frame
COFDM | Coded Orthogonal Frequency Division Multiplexing
CT | Clock Time. Can synchronize a clock in the receiver or the main clock in a car. Due to transmission vagaries, CT can only be accurate to within 100ms of UTC.
CU | Capacity Unit
DAB | Digital Audio Broadcasting
dB | Decibels
dBm | Decibels relative to 1 mW
EON | Enhanced Other Networks. Allows the receiver to monitor other stations for traffic broadcasts.
ETI | Ensemble Transport Interface
EVM | Error vector magnitude
FIB | Fast Information Block
FIC | Fast Information Channel
FIG | Fast Information Group
GPIB | General purpose interface bus
I/Q | In-phase and quadrature channels
LAN | Local area network
M.O.R. Music | Also called easy listening music
MSC | Main Service Channel
MW | Microwave
PS | Programme Service
PTY | Programme Type.
RBDS | Radio Broadcast Data system
RDS | Radio Broadcast system
RT | Radio Text
subcarrier | Either data, pilot, or null transmission signals
subchannels | Subsets of subcarriers.
TA | Traffic Announcement
TP | Traffic Programme
VHF | Very high frequency (VHF) is the radio frequency range from 30 MHz to 300 MHz
X-PAD | Extended Programme Associated Data


Additional Information

Real Time

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Real Time

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Real Time

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.

Related Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7611B System Requirements

To generate signals using the N7611B Signal Studio for Broadcast Radio software, you must have a properly configured PC and a properly configured instrument, as described in the following table.

Hardware Requirements

Instruments

Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Firmware revision B.01.10 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-506 (9 kHz to 6 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-021 (upgrade baseband generator memory from 32 MSa to 256 MSa)

N5172B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-655 (upgrade baseband generator from 60 to 120 MHz RF bandwidth)

N5172B-UNV (enhanced dynamic range)

N5182B MXG X-Series RF vector signal generator

Firmware:

Firmware revision B.01.10 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-506 (9 kHz to 6 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-022 (upgrade baseband generator memory from 32 MSa to 512 MSa)

N5182B-023 (upgrade baseband generator memory from 32 MSa to 1 GSa)

N5182B-1EA (high power output for PA testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-657 (upgrade baseband generator from 80 to 160 MHz RF bandwidth)

N5182B-UNV (enhanced dynamic range)

N5182A MXG vector signal generator

(For more information see the Configuration Guide.)

Firmware revision A.01.20 or later (how to upgrade)

License for N7611B (Licensing)

One of the following baseband generator options:

  • N5182A- 651 (30 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -652 (60 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -654 (125 MSample/s internal baseband generator with 8 MSa memory, recommended)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-UNV (enhanced dynamic range, recommended)

N5182A-403 (calibrated real-time noise, required for C/N capability, recommended)

One of the following frequency range options:

  • N5182A-503 (250 kHz to 3 GHz frequency range)

  • N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG vector signal generator

(For more information see the Configuration Guide.)

Firmware revision C.04.95 or later (how to upgrade)

License for N7611B (Licensing)

One of the following baseband generator options:

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

One of the following frequency range options:

  • E4438C-503 (250 kHz to 3 GHz frequency range)

  • E4438C-504 (250 kHz to 4 GHz frequency range)

  • E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

N5106A PXB baseband generator and channel emulator

N5106A-186 (Digital video application bundle) including the following options:

  • N5106A-612 (2 DSP blocks on 1 baseband card)

  • N5106A-632 (2 I/O channels - 2 analog I/Q out and 2 digital I/O)

  • N5106A-QFP (Fading with SISO Channel Models)

  • N5106A-EFP (Baseband Generation)

  • N5106A-JFP (Calibrated AWGN)

M9381A PXIe vector signal generator

Minimum driver version: 1.1

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 15.5 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows XP Service Pack 3 or later (Professional)

  • 2 GHz Pentium 4 or higher (recommended)

  • 512 MB of memory minimum (1.0 GB or higher recommended)

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (6.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 15.5 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • SystemVue ESL design software

  • M9381A PXIe vector signal generator

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


Alternative Frequencies Configuration

Enable or disable alternative frequency configuration, with the same usage as Alternative Frequency State.

Method A

AF Method A is used for lists up to 25 in number and AF method B is used for larger lists.

Method B

AF Method B is used where the number of AFs used by a transmitter and its associated repeater stations exceed 25, or where it's required to indicate frequencies which belong to different regions which at times carry different programmes.

HF(MHz)

Radio frequencies are between 3 and 30 MHz. Also known as the decameter band or decameter wave as the wavelengths range from one to ten decameters.

MF (KHz)

Radio frequencies (RF) in the range of 300 kHz to 3000 kHz. Part of this band is the medium wave (MW) AM broadcast band. The MF band is also known as the hectometer band or hectometer wave as the wavelengths range from ten to one hectometers (1,000 to 100 m).

LF (KHz)

Radio Frequencies (RF) in the range of 30 kHz to 300 kHz. In Europe, and parts of Northern Africa and of Asia, part of the LF spectrum is used for AM broadcast service.

Closed AF Lists

The list of alternative frequencies gives information on the various transmitters broadcasting the same program in the same or adjacent reception areas. This facility is particularly useful in the case of car and portable radios.

When the PI code indicates local coverage-area, i.e. only one frequency is used, AF list may contain this frequency.

Updated alternative frequency list in Method B.

The number of AF lists within a network is in general identical to the number of transmitters and repeater stations in the network, so that a unique list for each transmitting station can be provided.

If the number of AFs of a station is larger than 12, the list should be split into two or more lists.

Tuning Frequency (MHz)

Range (MHz): 87.6 to 107.9

Default: 91.5

Set the tuning frequency for each AF list.

Move selected Frequency up.

Move selected Frequency down.

Remove the selected frequency.

Clear all the frequency list except for the only one frequency in the first line.

Frequency

The updated frequency list displayed after editing on the right side.

Comments

Choice: HF\MF\LF

The updated comments displayed after editing on the right side.

Insert

Enter the desired frequency value, and press Insert to add a frequency into the list on the left side.

Modify

Highlight the frequency cell which need to be modified on the left side , enter the desired frequency value, and press modify.

New

Used in the Closed AF Listsediting, press New to create a brand new AF List.

Delete

Used in the Closed AF Listsediting, press Delete to delete a current AF List.


Contacting Keysight Technologies

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


ETI and STI

Real Time

ETI Concept

The DAB network outline defined in ETS 300 799 is shown below, which can be divided into several parts and managed by different entities separately. The different entities are: programme or data provider, service component provider, ensemble provider, and the transmissions network provider.

  • STI (Service Transport Interface) is the interface between the service component provider and the ensemble provider.

  • ETI (Ensemble Transport Interface) is the interface between the ensemble provider and transmission network provider.

N7611B supports measurements on STI and ETI interfaces by providing different input patterns: By Each Service Component and ETI (G.703).


FM Broadcasting

Real Time

FM Stereo/RDS Theory

  • What is FM broadcasting?

    FM broadcasting is a broadcast technology which utilizes frequency modulation (FM) to provide high-fidelity sound over broadcast radio.

  • What are the broadcast bands throughout the world?

    Country/Regions

    Broadcast Band(MHz)

    Worldwide generally

    87.5 to 108.0

    U.S

    87.8 to 108.0

    Japan

    76 to 90

    (0.1 MHz channel spacing)

    Soviet republics and Eastern Bloc nations

    65.9 to 74

    (called OIRT band, slowly phased out)

    Country/Regions

    FM broadcast station Frequency

    Worldwide generally

    exact multiple of 100 kHz

    Most of the Americas and the Caribbean

    odd multiples

    Parts of Europe,Greenland and Africa

    Greenland and Africa of 100 kHz

    Italy

    "half-channel" multiples of 50 kHz

  • What does FM MPX stand for?

    The MPX stereo signal consists three parts.

    • The first is a normal audio signal made up of the Sum of the left and right channels. This is the signal you hear on a Mono radio and is the same as switching the Stereo/Mono Switch on an amplifier to "Mono'.

    • In addition a difference signal (Left - Right) is generated and then used to modulate a 38 Khzsubcarrier using Double sideband suppressed carrier (DSBSC) modulation. This is an AM modulation of the subcarrier.

    • To keep the receiver decoder locked into the 38Khz subcarrier a 19 Khz pilot tone (EXACTLY 1/2 of 38 Khz) is transmitted at well. The relative percentage of modulation put into the pilot is 10%.

    At the receiver the L+R and L-R signals are added for the Left channel ((L+R)+(L-R)=2L) and subtracted for the right channel ((L+R)-(L-R)=2R).

    This is the 'Classic' method. An easier to build method simply switches between the left and right channels at a 38 KHz rate. The mathematics of this produce a signal the same as the classic method but there is less likelihood of differences between channels sneaking in.

  • What does analog and digital stand for in FM scheme?

  • What does pre-emphasis and de-emphasis do?

    • Pre-emphasis: the enhancement on high frequency components of input signal from the receiver

    • De-emphasis: the suppression on high frequency components of output demodulated signal

    Pre-emphasis is applied to both channels before the Multiplexing process. A corresponding de-emphasis is applied at the receiver.

  • What does the following Spectrum diagram stand for?

    Figure 3 The baseband layout of FM broadcasting

    • 50 Hz to 15 kHz Main Channel (Sum of all 4 channels) (LF+LB+RF+RB) signal, for Mono FM listening compatibility.

    • 19 kHz Pilot synchronizing signal

    • 23 to 53 kHz (sine Quadrant Subcarrier) (LF+LB) - (RF+RB) Left minus Right difference signal. This signal's modulation in algebraic sum and difference with the Main channel was used for 2 channel stereo listener compatibility.

    • 23 to 53 kHz (cosine Quadrant subcarrier) (LF+RF) - (LB+RB) Front minus Back difference signal. This signal's modulation in algebraic sum and difference with the Main channel and all the other subcarriers is used for the Quadraphonic listener.

    • 61 to 91 kHz (sine Quadrant subcarrier) (LF+RB) - (LB+RF) difference signal. This is the Diagonal difference signal. This signal's modulation in algebraic sum and difference with the main channel and all the other subcarriers is also used for the Quadraphonic listener.

    • 95 kHz SCAsubcarrier, phase locked to 19 kHz pilot, for reading services for the blind, background music, etc.

    RDS stands for Radio Data System, which is intended for application to VHF/FM sound broadcasts in the range 87.5 MHz to 108.0 MHz which may carry either stereophonic (pilot-tone system) or monophonic programmes. The use of more and more frequencies for radio programmes in the VHF/FM range make it increasingly difficult to tune a conventional radio to a desired programme.

    The main objective of RDS

    • Enhance functionality for FM receivers, making them more user-friendly.

    • Using features such as PI (Programme Identification), PS (Programme Service) name display

    • Automatic tuning for portable and car radios, in particular. (The relevant basic tuning and switching information therefore has to be implemented by the type 0 group, and it is not optional, unlike many of the other possible features in RDS).

    • Also used in Hi-Fi fidelity sound box, radio and DVD players

    Radio Broadcast Data System is the official name used for the U.S. version of RDS, along with RBDS, The two standards are nearly identical, with only slight differences, mainly in which numbers are assigned to each of 31 musical and other programme formats the RBDS system could identify. Both of the two standards use a 57kHz subcarrier to carry data at 1187.5 bits per second. The 57kHz was chosen for being the third harmonic (3×) of the pilot tone for FM stereo, so it would not cause interference or intermodulation with it, or with the stereo difference signal at 38kHz (2×). The data format utilizes error correction. RDS defines many features (see below), including how private (in-house) or other undefined features (such as differential GPS) could be "packaged" in unused programme groups.

  • How to use the RDS services?

    The following information fields are normally contained in the :

    • AF

      Alternative Frequencies. The list of alternative frequencies gives information on the various transmitters broadcasting the same programme in the same or adjacent reception areas. This facility is particularly useful in the case of car and portable radios.

      When the PI code indicates local coverage-area, i.e. only one frequency is used, AF list may contain this frequency.

    • EON

      Enhanced Other Networks. This feature could be used to update the information stored in a receiver about programme services other than the one received. Alternative frequencies, the PS name, Traffic Programme and Traffic Announcement identification as well as Programme Type and Programme Item Number information could be transmitted for each other service. The relation to the corresponding program is established by means of the relevant Programme Identification.

    • PI

      Programme Identification.

      This information consists of a code enabling the receiver to distinguish between countries, areas in which the same programme is transmitted, and the identification of the programme itself. The code is not intended for direct display and is assigned to each individual radio programme, to enable it to be distinguished from all other programs. One important application of this information would be to enable the receiver to search automatically for an alternative frequency in case of bad reception of the program to which the receiver is tuned; the criteria for the change-over to the new frequency would be the presence of a better signal having the same PI code.

      The PI code consists of four characters. The first two characters have special meaning, second two are used to clearly identify different stations.

      The first character identifies country. The second character identifies programme type in terms of area coverage:

      0 - Local (Local program transmitted via a single transmitter only during the whole transmitting time.)

      1 - International (The same program is also transmitted in other countries.)

      2 - National (The same program is transmitted throughout the country.)

      3 - Supra-regional (The same program is transmitted throughout a large part of the country.)

      4 to F - Regional (The program is available only in one location or region over one or more frequencies, and there exists no definition of its frontiers.)

    • PS

      Programme service name, which is the label of the program service consisting of not more than eight alphanumeric characters, which is displayed by RDS receivers in order to inform the listener what program service is being broadcast by the station to which the receiver is tuned.

    • PTY

      Programme Type. This coding of up to 31 pre-defined programme types e.g. (in Europe): PTY1 News, PTY6 Drama, PTY11 Rock music, allows users to find similar programming by genre. PTY31 seems to be reserved for emergency announcements in the event of natural disasters or other major calamities.

    • RT

      Radio Text.

      This function allows a radio station to transmit a 64-character free-form textual information that can be either static e.g. station slogans or in sync with the programming such as the title and artist of the currently-playing song. This refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.

    • TA

      This is an on/off switching signal to indicate when a traffic announcement is on air. The signal could be used in receivers to:

      • switch automatically from any audio mode to the traffic announcement;

      • switch on the traffic announcement automatically when the receiver is in a waiting reception mode and the audio signal is muted;

      • switch from a program to another one carrying a traffic announcement.

      After the end of the traffic announcement the initial operating mode will be restored.

    • TP

      This is a flag to indicate that the tuned program carries traffic announcements. The TP flag must only be set on programs which dynamically switch on the TA identification during traffic announcements. The signal shall be taken into account during automatic search tuning, therefore it's recommend to turn this flag on even though no traffic announcement is transmitted.

    • CT - Clock-Time and Date

      Time and date codes should use Coordinated Universal Time and Modified Julian Day. The listener, however, will not use this information directly and the conversion to local time and date will be made in the receiver's circuitry. CT is used as time stamp by various RDS applications and thus it must be accurate.

    • M/S - Music/speech switch

      This is a two-state signal to provide information on whether music or speech is being broadcast. The signal would permit receivers to be equipped with two separate volume controls, one for music and one for speech, so that the listener could adjust the balance between them to suit his individual listening habits.

  • What's the detailed Programme Types list?

    The following table lists the RDS and RBDS Programme Type codes and their meanings:

    PTY code

    RDS Programme type (EU)

    RBDS Program type (USA )

    0

    No programme type or undefined

    No program type or undefined

    1

    News

    News

    2

    Current affairs

    Information

    3

    Information

    Sports

    4

    Sport

    Talk

    5

    Education

    Rock

    6

    Drama

    Classic Rock

    7

    Culture

    Adult Hits

    8

    Science

    Soft Rock

    9

    Varied

    Top 40

    10

    Pop Music

    Country

    11

    Rock Music

    Oldies

    12

    M.O.R. Music

    Soft

    13

    Light classical

    Nostalgia

    14

    Serious classical

    Jazz

    15

    Other Music

    Classical

    16

    Weather

    Rhythm and Blues

    17

    Finance

    Soft Rhythm and Blues

    18

    Children’s programmes

    Language

    19

    Social Affairs

    Religious Music

    20

    Religion

    Religious Talk

    21

    Phone In

    Personality

    22

    Travel

    Public

    23

    Leisure

    College

    24

    Jazz Music

    Unassigned

    25

    Country Music

    Unassigned

    26

    National Music

    Unassigned

    27

    Oldies Music

    Unassigned

    28

    Folk Music

    Unassigned

    29

    Documentary

    Unassigned

    30

    Alarm Test

    Unassigned

    31

    Alarm

    Unassigned


hardware

Real Time

Hardware Settings

Hardware | provides system details such as system name and configuration, and information about the signal generator such as model number, serial number, firmware revision, and so on. Also provides access to the Run Self-Tests and Test I/O Connections buttons.
Signal Generator | provides access to signal generator settings used to display the waveform.


Instrument

The topics listed below describe the instrument settings accessible through the Instrument node in the tree view of the software. Settings vary, according to the connected instrument.

Signal Generators


Keysight Tool for SiriusXM Baseband File

Click Tools -> Keysight Tool for SiriusXM Baseband File to start the tool.

The input file is provided by SiriusXM. The file extension can be .tdmh or .tdm. The file .tdmh is containing overlay information and .tdm files contain baselayer only.

The output file is .tdmh_k and .tdm_k. It is defined by Keysight.The file .tdmh_k is containing overlay information and .tdm_k files contain baselayer only.


tree_view_hardware

Real Time


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


DC Cal

Click this button to perform DC calibration.


Power Search

Click this button to calibrate the RF power.


Preset

Click this button to preset the instrument.


State Off

Click the State Off button to turn the application off


State On

Click the State On button to turn the application on.

The following error appears when the instrument is not connected.


Update the Instrument

Click this button queries instrument for current settings.